Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Class JMSModuleHelper

    java.lang.Object
      weblogic.jms.extensions.JMSRuntimeHelper
          weblogic.jms.extensions.JMSModuleHelper

    public class JMSModuleHelper

extends JMSRuntimeHelper

This class contains JMS helper methods for locating JMS runtime MBeans (i.e., monitoring) as well as methods to manage (locate/create/delete) JMS Module configuration entities (descriptor beans) in a given module.

Note: BEA recommends that the use of the create (distributed)queue/topic methods be strictly limited, as they directly modify the associated JMS Module configuration (your-jms.xml) file and provide minimal feedback for detecting success or failure.

Constructor Summary
`JMSModuleHelper()`

Method Summary
`static void` | `createConnectionFactory(Context ctx, String resourceName, String factoryName, String factoryJndiName, String targetName)` Creates a JMS connection factory in the given JMS System resource module
`static void` | `createConnectionFactory(Context ctx, String resourceName, String factoryName, String factoryJndiName, String targetName, JMSNamedEntityModifier modifier)` Creates a JMS connection factory in the given JMS System resource module
`static void` | `createConnectionFactory(weblogic.management.configuration.DomainMBean domain, String resourceName, String factoryName, String factoryJndiName, String targetName)` Creates a JMS connection factory in the given JMS System resource module
`static void` | `createConnectionFactory(weblogic.management.configuration.DomainMBean domain, String resourceName, String factoryName, String factoryJndiName, String targetName, JMSNamedEntityModifier modifier)` Creates a JMS connection factory in the given JMS System resource module
`static void` | `createDestinationKey(Context ctx, String resourceName, String destinationKeyName, String property, String keyType, String sortOrder)` Creates a DestinationKey Bean in the given JMS system resource module
`static void` | `createDestinationKey(Context ctx, String resourceName, String destinationKeyName, String property, String keyType, String sortOrder, JMSNamedEntityModifier modifier)` Creates a DestinationKey Bean in the given JMS system resource module
`static void` | `createDestinationKey(weblogic.management.configuration.DomainMBean domain, String resourceName, String destinationKeyName, String property, String keyType, String sortOrder)` Creates a DestinationKey Bean in the given JMS system resource module
`static void` | `createDestinationKey(weblogic.management.configuration.DomainMBean domain, String resourceName, String destinationKeyName, String property, String keyType, String sortOrder, JMSNamedEntityModifier modifier)` Creates a DestinationKey Bean in the given JMS system resource module
`static void` | `createDistributedQueue(Context ctx, String resourceName, String distributedQueueName, String jndiName)` Create a distributed queue and its members in the given JMS Module and target them on the specified JMS servers
`static void` | `createDistributedQueue(Context ctx, String resourceName, String distributedQueueName, String jndiName, JMSNamedEntityModifier modifier)` Create a distributed queue and its members in the given JMS Module and target them on the specified JMS servers
`static void` | `createDistributedQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedQueueName, String jndiName)` Create a distributed queue and its members in the given JMS Module and target them on the specified JMS servers
`static void` | `createDistributedQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedQueueName, String jndiName, JMSNamedEntityModifier modifier)` Create a distributed queue and its members in the given JMS Module and target them on the specified JMS servers
`static void` | `createDistributedQueueMember(Context ctx, String resourceName, String distributedQueueName, String distributedQueueMemberName, int weight)` Create a distributed queue member for a given distributed queue in a given JMS Module.
`static void` | `createDistributedQueueMember(Context ctx, String resourceName, String distributedQueueName, String distributedQueueMemberName, int weight, JMSNamedEntityModifier modifier)` Create a distributed queue member for a given distributed queue in a given JMS Module.
`static void` | `createDistributedQueueMember(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedQueueName, String distributedQueueMemberName, int weight)` Create a distributed queue member for a given distributed queue in a given JMS Module.
`static void` | `createDistributedQueueMember(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedQueueName, String distributedQueueMemberName, int weight, JMSNamedEntityModifier modifier)` Create a distributed queue member for a given distributed queue in a given JMS Module.
`static void` | `createDistributedTopic(Context ctx, String resourceName, String distributedTopicName, String jndiName)` Create a distributed topic and its members in the given JMS Module and target them on the specified JMS servers.
`static void` | `createDistributedTopic(Context ctx, String resourceName, String distributedTopicName, String jndiName, JMSNamedEntityModifier modifier)` Create a distributed topic and its members in the given JMS Module and target them on the specified JMS servers.
`static void` | `createDistributedTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedTopicName, String jndiName)` Create a distributed topic and its members in the given JMS Module and target them on the specified JMS servers.
`static void` | `createDistributedTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedTopicName, String jndiName, JMSNamedEntityModifier modifier)` Create a distributed topic and its members in the given JMS Module and target them on the specified JMS servers.
`static void` | `createDistributedTopicMember(Context ctx, String resourceName, String distributedTopicName, String distributedTopicMemberName, int weight)` Create a distributed topic member for a given distributed topic in a given JMS Module.
`static void` | `createDistributedTopicMember(Context ctx, String resourceName, String distributedTopicName, String distributedTopicMemberName, int weight, JMSNamedEntityModifier modifier)` Create a distributed topic member for a given distributed topic in a given JMS Module.
`static void` | `createDistributedTopicMember(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedTopicName, String distributedTopicMemberName, int weight)` Create a distributed topic member for a given distributed topic in a given JMS Module.
`static void` | `createDistributedTopicMember(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedTopicName, String distributedTopicMemberName, int weight, JMSNamedEntityModifier modifier)` Create a distributed topic member for a given distributed topic in a given JMS Module.
`static void` | `createForeignConnectionFactory(Context ctx, String resourceName, String foreignServerName, String foreignConnectionFactoryName, String localJNDIName, String remoteJNDIName, String username, String password)` Creates a foreign JMS connection factgory in a given foreign server of a JMS system resource module
`static void` | `createForeignConnectionFactory(Context ctx, String resourceName, String foreignServerName, String foreignConnectionFactoryName, String localJNDIName, String remoteJNDIName, String username, String password, JMSNamedEntityModifier modifier)` Creates a foreign JMS connection factgory in a given foreign server of a JMS system resource module
`static void` | `createForeignConnectionFactory(weblogic.management.configuration.DomainMBean domain, String resourceName, String foreignServerName, String foreignConnectionFactoryName, String localJNDIName, String remoteJNDIName, String username, String password)` Creates a foreign JMS connection factgory in a given foreign server of a JMS system resource module
`static void` | `createForeignConnectionFactory(weblogic.management.configuration.DomainMBean domain, String resourceName, String foreignServerName, String foreignConnectionFactoryName, String localJNDIName, String remoteJNDIName, String username, String password, JMSNamedEntityModifier modifier)` Creates a foreign JMS connection factgory in a given foreign server of a JMS system resource module
`static void` | `createForeignDestination(Context ctx, String resourceName, String foreignServerName, String foreignDestinationName, String localJNDIName, String remoteJNDIName)` Creates a foreign JMS destination in a given foreign server of a JMS system resource module
`static void` | `createForeignDestination(Context ctx, String resourceName, String foreignServerName, String foreignDestinationName, String localJNDIName, String remoteJNDIName, JMSNamedEntityModifier modifier)` Creates a foreign JMS destination in a given foreign server of a JMS system resource module
`static void` | `createForeignDestination(weblogic.management.configuration.DomainMBean domain, String resourceName, String foreignServerName, String foreignDestinationName, String localJNDIName, String remoteJNDIName)` Creates a foreign JMS destination in a given foreign server of a JMS system resource module
`static void` | `createForeignDestination(weblogic.management.configuration.DomainMBean domain, String resourceName, String foreignServerName, String foreignDestinationName, String localJNDIName, String remoteJNDIName, JMSNamedEntityModifier modifier)` Creates a foreign JMS destination in a given foreign server of a JMS system resource module
`static void` | `createForeignServer(Context ctx, String resourceName, String foreignServerName, String targetName)` Creates a foriegn JMS server in a given JMS system resource module
`static void` | `createForeignServer(Context ctx, String resourceName, String foreignServerName, String targetName, JMSNamedEntityModifier modifier)` Creates a foriegn JMS server in a given JMS system resource module
`static void` | `createForeignServer(weblogic.management.configuration.DomainMBean domain, String resourceName, String foreignServerName, String targetName)` Creates a foriegn JMS server in a given JMS system resource module
`static void` | `createForeignServer(weblogic.management.configuration.DomainMBean domain, String resourceName, String foreignServerName, String targetName, JMSNamedEntityModifier modifier)` Creates a foriegn JMS server in a given JMS system resource module
`static void` | `createJMSServer(Context ctx, String jmsServerName, String targetName)` Creates a JMSServer in a given WebLogic domain.
`static void` | `createJMSServer(weblogic.management.configuration.DomainMBean domain, String jmsServerName, String targetName)` Creates a JMSServer in a given WebLogic domain.
`static void` | `createJMSSystemResource(Context ctx, String resourceName, String targetName)` Creates a JMS System resource in the given domain idenetified by the ctx
`static void` | `createJMSSystemResource(weblogic.management.configuration.DomainMBean domain, String resourceName, String targetName)` Creates a JMS System resource in the given domain idenetified by the ctx
`static void` | `createQueue(Context ctx, String resourceName, String jmsServerName, String queueName, String jndiName)` Creates a JMS queue in a given JMS system resource module.
`static void` | `createQueue(Context ctx, String resourceName, String jmsServerName, String queueName, String jndiName, JMSNamedEntityModifier modifier)` Creates a JMS queue in a given JMS system resource module.
`static void` | `createQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String jmsServerName, String queueName, String jndiName)` Creates a JMS queue in a given JMS system resource module.
`static void` | `createQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String jmsServerName, String queueName, String jndiName, JMSNamedEntityModifier modifier)` Creates a JMS queue in a given JMS system resource module.
`static void` | `createQuota(Context ctx, String resourceName, String quotaName, String targetName)` Creates the QuotaBean in the given JMS system resource module
`static void` | `createQuota(Context ctx, String resourceName, String quotaName, String targetName, JMSNamedEntityModifier modifier)` Creates the QuotaBean in the given JMS system resource module
`static void` | `createQuota(weblogic.management.configuration.DomainMBean domain, String resourceName, String quotaName, String targetName)` Creates the QuotaBean in the given JMS system resource module
`static void` | `createQuota(weblogic.management.configuration.DomainMBean domain, String resourceName, String quotaName, String targetName, JMSNamedEntityModifier modifier)` Creates the QuotaBean in the given JMS system resource module
`static void` | `createSAFAgent(Context ctx, String safAgentName, String targetName)` Creates a SAFAgent in a given WebLogic domain.
`static void` | `createSAFAgent(weblogic.management.configuration.DomainMBean domain, String safAgentName, String targetName)` Creates a SAFAgent in a given WebLogic domain.
`static void` | `createSAFErrorHandling(Context ctx, String resourceName, String safErrorHandlingName)` Creates a SAF error handling in a given JMS system resource
`static void` | `createSAFErrorHandling(Context ctx, String resourceName, String safErrorHandlingName, JMSNamedEntityModifier modifier)` Creates a SAF error handling in a given JMS system resource
`static void` | `createSAFErrorHandling(weblogic.management.configuration.DomainMBean domain, String resourceName, String safErrorHandlingName)` Creates a SAF error handling in a given JMS system resource
`static void` | `createSAFErrorHandling(weblogic.management.configuration.DomainMBean domain, String resourceName, String safErrorHandlingName, JMSNamedEntityModifier modifier)` Creates a SAF error handling in a given JMS system resource
`static void` | `createSAFImportedDestinations(Context ctx, String resourceName, String safImportedDestinationsName, String safRemoteContextName, String targetName)` Creates a SAF imported destination group in a given JMS system resource
`static void` | `createSAFImportedDestinations(Context ctx, String resourceName, String safImportedDestinationsName, String safRemoteContextName, String targetName, JMSNamedEntityModifier modifier)` Creates a SAF imported destination group in a given JMS system resource
`static void` | `createSAFImportedDestinations(weblogic.management.configuration.DomainMBean domain, String resourceName, String safImportedDestinationsName, String safRemoteContextName, String targetName)` Creates a SAF imported destination group in a given JMS system resource
`static void` | `createSAFImportedDestinations(weblogic.management.configuration.DomainMBean domain, String resourceName, String safImportedDestinationsName, String safRemoteContextName, String targetName, JMSNamedEntityModifier modifier)` Creates a SAF imported destination group in a given JMS system resource
`static void` | `createSAFQueue(Context ctx, String resourceName, String safImportedDestinationsName, String safQueueName, String safQueueRemoteJNDIName)` Creates a SAF queue in a given SAF imported destinations group of JMS system resource module
`static void` | `createSAFQueue(Context ctx, String resourceName, String safImportedDestinationsName, String safQueueName, String safQueueRemoteJNDIName, JMSNamedEntityModifier modifier)` Creates a SAF queue in a given SAF imported destinations group of JMS system resource module
`static void` | `createSAFQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String safImportedDestinationsName, String safQueueName, String safQueueRemoteJNDIName)` Creates a SAF queue in a given SAF imported destinations group of JMS system resource module
`static void` | `createSAFQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String safImportedDestinationsName, String safQueueName, String safQueueRemoteJNDIName, JMSNamedEntityModifier modifier)` Creates a SAF queue in a given SAF imported destinations group of JMS system resource module
`static void` | `createSAFRemoteContext(Context ctx, String resourceName, String safRemoteContextName)` Creates a SAF remote context in a given JMS system resource
`static void` | `createSAFRemoteContext(Context ctx, String resourceName, String safRemoteContextName, JMSNamedEntityModifier modifier)` Creates a SAF remote context in a given JMS system resource
`static void` | `createSAFRemoteContext(weblogic.management.configuration.DomainMBean domain, String resourceName, String safRemoteContextName)` Creates a SAF remote context in a given JMS system resource
`static void` | `createSAFRemoteContext(weblogic.management.configuration.DomainMBean domain, String resourceName, String safRemoteContextName, JMSNamedEntityModifier modifier)` Creates a SAF remote context in a given JMS system resource
`static void` | `createSAFTopic(Context ctx, String resourceName, String safImportedDestinationsName, String safTopicName, String safTopicRemoteJNDIName)` Creates a SAF topic in a given SAF imported destinations group of JMS system resource module
`static void` | `createSAFTopic(Context ctx, String resourceName, String safImportedDestinationsName, String safTopicName, String safTopicRemoteJNDIName, JMSNamedEntityModifier modifier)` Creates a SAF topic in a given SAF imported destinations group of JMS system resource module
`static void` | `createSAFTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String safImportedDestinationsName, String safTopicName, String safTopicRemoteJNDIName)` Creates a SAF topic in a given SAF imported destinations group of JMS system resource module
`static void` | `createSAFTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String safImportedDestinationsName, String safTopicName, String safTopicRemoteJNDIName, JMSNamedEntityModifier modifier)` Creates a SAF topic in a given SAF imported destinations group of JMS system resource module
`static void` | `createTemplate(Context ctx, String resourceName, String templateName)` Creates a TemplateBean in the given JMS resource using Context provided
`static void` | `createTemplate(Context ctx, String resourceName, String templateName, JMSNamedEntityModifier modifier)` Creates a TemplateBean in the given JMS resource using Context provided
`static void` | `createTemplate(weblogic.management.configuration.DomainMBean domain, String resourceName, String templateName)` Creates a TemplateBean in the given JMS resource using Context provided
`static void` | `createTemplate(weblogic.management.configuration.DomainMBean domain, String resourceName, String templateName, JMSNamedEntityModifier modifier)` Creates a TemplateBean in the given JMS resource using Context provided
`static void` | `createTopic(Context ctx, String resourceName, String jmsServerName, String topicName, String jndiName)` Creates a JMS topic in a given JMS system resource module This method updates the following: The JMS system resource with the given resource name is modified by this call.
`static void` | `createTopic(Context ctx, String resourceName, String jmsServerName, String topicName, String jndiName, JMSNamedEntityModifier modifier)` Creates a JMS topic in a given JMS system resource module This method updates the following: The JMS system resource with the given resource name is modified by this call.
`static void` | `createTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String jmsServerName, String topicName, String jndiName)` Creates a JMS topic in a given JMS system resource module This method updates the following: The JMS system resource with the given resource name is modified by this call.
`static void` | `createTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String jmsServerName, String topicName, String jndiName, JMSNamedEntityModifier modifier)` Creates a JMS topic in a given JMS system resource module This method updates the following: The JMS system resource with the given resource name is modified by this call.
`static void` | `createUniformDistributedQueue(Context ctx, String resourceName, String uniformDistributedQueueName, String jndiName, String targetName)` Create a uniform distributed queue in the given JMS Module and target it as stated.
`static void` | `createUniformDistributedQueue(Context ctx, String resourceName, String uniformDistributedQueueName, String jndiName, String targetName, JMSNamedEntityModifier modifier)` Create a uniform distributed queue in the given JMS Module and target it as stated.
`static void` | `createUniformDistributedQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String uniformDistributedQueueName, String jndiName, String targetName)` Create a uniform distributed queue in the given JMS Module and target it as stated.
`static void` | `createUniformDistributedQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String uniformDistributedQueueName, String jndiName, String targetName, JMSNamedEntityModifier modifier)` Create a uniform distributed queue in the given JMS Module and target it as stated.
`static void` | `createUniformDistributedTopic(Context ctx, String resourceName, String uniformDistributedTopicName, String jndiName, String targetName)` Create a uniform distributed topic in the given JMS Module and target it as stated.
`static void` | `createUniformDistributedTopic(Context ctx, String resourceName, String uniformDistributedTopicName, String jndiName, String targetName, JMSNamedEntityModifier modifier)` Create a uniform distributed topic in the given JMS Module and target it as stated.
`static void` | `createUniformDistributedTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String uniformDistributedTopicName, String jndiName, String targetName)` Create a uniform distributed topic in the given JMS Module and target it as stated.
`static void` | `createUniformDistributedTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String uniformDistributedTopicName, String jndiName, String targetName, JMSNamedEntityModifier modifier)` Create a uniform distributed topic in the given JMS Module and target it as stated.
`static void` | `deleteConnectionFactory(Context ctx, String resourceName, String factoryName)` Deletes a JMS connection factory from the given JMS System resource
`static void` | `deleteConnectionFactory(weblogic.management.configuration.DomainMBean domain, String resourceName, String factoryName)` Deletes a JMS connection factory from the given JMS System resource
`static void` | `deleteDestinationKey(Context ctx, String resourceName, String destinationKeyName)` Deletes the destination key bean from the given
`static void` | `deleteDestinationKey(weblogic.management.configuration.DomainMBean domain, String resourceName, String destinationKeyName)` Deletes the destination key bean from the given
`static void` | `deleteDistributedQueue(Context ctx, String resourceName, String distributedQueueName, boolean deleteMembers)` Delete a distributed queue and all its members.
`static void` | `deleteDistributedQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedQueueName, boolean deleteMembers)` Delete a distributed queue and all its members.
`static void` | `deleteDistributedQueueMember(Context ctx, String resourceName, String distributedQueueName, String distributedQueueMemberName)` Delete a distributed queue member of a given distributed queue in a given JMS Module.
`static void` | `deleteDistributedQueueMember(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedQueueName, String distributedQueueMemberName)` Delete a distributed queue member of a given distributed queue in a given JMS Module.
`static void` | `deleteDistributedTopic(Context ctx, String resourceName, String distributedTopicName, boolean deleteMembers)` Delete a distributed topic and all its members.
`static void` | `deleteDistributedTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedTopicName, boolean deleteMembers)` Delete a distributed topic and all its members.
`static void` | `deleteDistributedTopicMember(Context ctx, String resourceName, String distributedTopicName, String distributedTopicMemberName)` Delete a distributed topic member of a given distributed topic in a given JMS Module.
`static void` | `deleteDistributedTopicMember(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedTopicName, String distributedTopicMemberName)` Delete a distributed topic member of a given distributed topic in a given JMS Module.
`static void` | `deleteForeignConnectionFactory(Context ctx, String resourceName, String foreignServerName, String foreignConnectionFactoryName)` Delete a foreign connection factory from the given foreign server in a resource
`static void` | `deleteForeignConnectionFactory(weblogic.management.configuration.DomainMBean domain, String resourceName, String foreignServerName, String foreignConnectionFactoryName)` Delete a foreign connection factory from the given foreign server in a resource
`static void` | `deleteForeignDestination(Context ctx, String resourceName, String foreignServerName, String foreignDestinationName)` Delete a foreign destination from a given foreignServer in a resource
`static void` | `deleteForeignDestination(weblogic.management.configuration.DomainMBean domain, String resourceName, String foreignServerName, String foreignDestinationName)` Delete a foreign destination from a given foreignServer in a resource
`static void` | `deleteForeignServer(Context ctx, String resourceName, String foreignServerName)` Delete a foreign server and all its foreign connection factories and foreign destinations.
`static void` | `deleteForeignServer(weblogic.management.configuration.DomainMBean domain, String resourceName, String foreignServerName)` Delete a foreign server and all its foreign connection factories and foreign destinations.
`static void` | `deleteJMSServer(Context ctx, String jmsServerName)` Delete a JMSServer from the given WebLogic domain.
`static void` | `deleteJMSServer(weblogic.management.configuration.DomainMBean domain, String jmsServerName)` Delete a JMSServer from the given WebLogic domain.
`static void` | `deleteJMSSystemResource(Context ctx, String resourceName)` Removes the given JMS System Resource from the domain identified by admin URL
`static void` | `deleteJMSSystemResource(weblogic.management.configuration.DomainMBean domain, String resourceName)` Removes the given JMS System Resource from the domain identified by admin URL
`static void` | `deleteQueue(Context ctx, String resourceName, String queueName)` Deletes a JMS queue from the given JMS system resource module.
`static void` | `deleteQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String queueName)` Deletes a JMS queue from the given JMS system resource module.
`static void` | `deleteQuota(Context ctx, String resourceName, String quotaName)` Deletes the QuotaBean from the given JMS System resource module
`static void` | `deleteQuota(weblogic.management.configuration.DomainMBean domain, String resourceName, String quotaName)` Deletes the QuotaBean from the given JMS System resource module
`static void` | `deleteSAFAgent(Context ctx, String safAgentName)` Delete a SAFAgent from the given WebLogic domain.
`static void` | `deleteSAFAgent(weblogic.management.configuration.DomainMBean domain, String safAgentName)` Delete a SAFAgent from the given WebLogic domain.
`static void` | `deleteSAFErrorHandling(Context ctx, String resourceName, String safErrorHandlingName)` Delete a SAF error handling.
`static void` | `deleteSAFErrorHandling(weblogic.management.configuration.DomainMBean domain, String resourceName, String safErrorHandlingName)` Delete a SAF error handling.
`static void` | `deleteSAFImportedDestinations(Context ctx, String resourceName, String safImportedDestinationsName)` Delete a SAF imported destinations and all its SAF queues and SAF topics.
`static void` | `deleteSAFImportedDestinations(weblogic.management.configuration.DomainMBean domain, String resourceName, String safImportedDestinationsName)` Delete a SAF imported destinations and all its SAF queues and SAF topics.
`static void` | `deleteSAFQueue(Context ctx, String resourceName, String safImportedDestinationsName, String safQueueName)` Delete a SAF Queue from a given SAF imported Destinations.
`static void` | `deleteSAFQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String safImportedDestinationsName, String safQueueName)` Delete a SAF Queue from a given SAF imported Destinations.
`static void` | `deleteSAFRemoteContext(Context ctx, String resourceName, String safRemoteContextName)` Delete a SAF remote context.
`static void` | `deleteSAFRemoteContext(weblogic.management.configuration.DomainMBean domain, String resourceName, String safRemoteContextName)` Delete a SAF remote context.
`static void` | `deleteSAFTopic(Context ctx, String resourceName, String safImportedDestinationsName, String safTopicName)` Delete a SAF Topic from a given SAF imported Destinations.
`static void` | `deleteSAFTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String safImportedDestinationsName, String safTopicName)` Delete a SAF Topic from a given SAF imported Destinations.
`static void` | `deleteTemplate(Context ctx, String resourceName, String templateName)` Deletes the TemplateBean from a given JMS system resource module
`static void` | `deleteTemplate(weblogic.management.configuration.DomainMBean domain, String resourceName, String templateName)` Deletes the TemplateBean from a given JMS system resource module
`static void` | `deleteTopic(Context ctx, String resourceName, String topicName)` Deletes a JMS topic from the given JMS system resource module.
`static void` | `deleteTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String topicName)` Deletes a JMS topic from the given JMS system resource module.
`static void` | `deleteUniformDistributedQueue(Context ctx, String resourceName, String queueName)` Deletes a JMS uniform distributed queue from the given JMS system resource module.
`static void` | `deleteUniformDistributedQueue(weblogic.management.configuration.DomainMBean domain, String resourceName, String queueName)` Deletes a JMS uniform distributed queue from the given JMS system resource module.
`static void` | `deleteUniformDistributedTopic(Context ctx, String resourceName, String topicName)` Deletes a JMS uniform distributed topic from the given JMS system resource module.
`static void` | `deleteUniformDistributedTopic(weblogic.management.configuration.DomainMBean domain, String resourceName, String topicName)` Deletes a JMS uniform distributed topic from the given JMS system resource module.
`static void` | `deployJMSServer(Context ctx, String jmsServerName, String targetName)` Deploy a JMSServer and in turn advertise all the destinations on that JMSServer to the JNDI tree of the target server.
`static void` | `deployJMSServer(weblogic.management.configuration.DomainMBean domain, String jmsServerName, String targetName)` Deploy a JMSServer and in turn advertise all the destinations on that JMSServer to the JNDI tree of the target server.
`static void` | `deploySAFAgent(Context ctx, String safAgentName, String targetName)` Deploy a SAFAgent and in turn advertise all the imported destinations of that SAFAgent to the JNDI tree of the target servers/clusters.
`static void` | `deploySAFAgent(weblogic.management.configuration.DomainMBean domain, String safAgentName, String targetName)` Deploy a SAFAgent and in turn advertise all the imported destinations of that SAFAgent to the JNDI tree of the target servers/clusters.
`static weblogic.j2ee.descriptor.wl.DestinationBean[]` | `findAllInheritedDestinations(String templateName, weblogic.j2ee.descriptor.wl.JMSBean module)` Returns an array of all the JMS destinations(queues/topics) that are inherited from the given Template (name)
`static weblogic.j2ee.descriptor.wl.QueueBean[]` | `findAllInheritedQueueBeans(String templateName, weblogic.j2ee.descriptor.wl.JMSBean module)` Finder that returns all the QueueBeans that inherit from the given TemplateBean in a JMS Module
`static weblogic.j2ee.descriptor.wl.TopicBean[]` | `findAllInheritedTopicBeans(String templateName, weblogic.j2ee.descriptor.wl.JMSBean module)` Finder that returns all the TopicBeans that inherit from the given TemplateBean in a JMS Module
`static void` | `findAndModifyEntity(Context ctx, String resourceName, String entityName, String entityType, JMSNamedEntityModifier modifier)` Helper API to find and modify a JMS Module managed entity from the given JMS system resource.
`static void` | `findAndModifyEntity(weblogic.management.configuration.DomainMBean domain, String resourceName, String entityName, String entityType, JMSNamedEntityModifier modifier)` Helper API to find and modify a JMS Module managed entity from the given JMS system resource.
`static weblogic.j2ee.descriptor.wl.DestinationBean` | `findDestinationBean(String name, weblogic.j2ee.descriptor.wl.JMSBean module)` Finder for DestinationBean in a JMS Module
`static weblogic.management.configuration.JMSSystemResourceMBean` | `findJMSSystemResource(Context ctx, String resourceName)` Finder for a JMSSystemResourceMBean in a given WebLogic Domain
`static String[]` | `getDistributedQueueMemberJndiNames(Context ctx, String resourceName, String distributedQueueName)` Returns an array of distributed queue member JNDI names of given a distributed queue from a given JMS system resource
`static String[]` | `getDistributedQueueMemberJndiNames(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedQueueName)` Returns an array of distributed queue member JNDI names of given a distributed queue from a given JMS system resource
`static String[]` | `getDistributedQueueMemberNames(Context ctx, String resourceName, String distributedQueueName)` Returns an array of distributed queue member names of given a distributed queue from a given JMS system resource
`static String[]` | `getDistributedQueueMemberNames(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedQueueName)` Returns an array of distributed queue member names of given a distributed queue from a given JMS system resource
`static String[]` | `getDistributedTopicMemberJndiNames(Context ctx, String resourceName, String distributedTopicName)` Returns an array of distributed topic member JNDI names of given a distributed topic from a given JMS system resource
`static String[]` | `getDistributedTopicMemberJndiNames(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedTopicName)` Returns an array of distributed topic member JNDI names of given a distributed topic from a given JMS system resource
`static String[]` | `getDistributedTopicMemberNames(Context ctx, String resourceName, String distributedTopicName)` Returns an array of distributed topic member names of given a distributed topic from a given JMS system resource
`static String[]` | `getDistributedTopicMemberNames(weblogic.management.configuration.DomainMBean domain, String resourceName, String distributedTopicName)` Returns an array of distributed topic member names of given a distributed topic from a given JMS system resource
`static String` | `uddMemberJNDIName(String jmsServerName, String name)` Returns the JNDI name of a Uniform Distributed Destination member, given the JNDI name of the Uniform Distributed Destination and the JMS server upon which the member is deployed or to be deployed.
`static String` | `uddMemberName(String jmsServerName, String name)` Returns the member name of a Uniform Distributed Destination, given the name of the Uniform Distributed Destination and the JMS server upon which the member is deployed or to be deployed.
`static void` | `undeployJMSServer(Context ctx, String jmsServerName)` Undeploy a JMSServer and in turn unadvertises all the destinations on that JMSServer from the JNDI tree of the target server.
`static void` | `undeployJMSServer(weblogic.management.configuration.DomainMBean domain, String jmsServerName)` Undeploy a JMSServer and in turn unadvertises all the destinations on that JMSServer from the JNDI tree of the target server.
`static void` | `undeploySAFAgent(Context ctx, String safAgentName)` Undeploy a SAFAgent and in turn unadvertises all the destinations on that SAFAgent from the JNDI tree of the target server.
`static void` | `undeploySAFAgent(weblogic.management.configuration.DomainMBean domain, String safAgentName)` Undeploy a SAFAgent and in turn unadvertises all the destinations on that SAFAgent from the JNDI tree of the target server.

Methods inherited from class weblogic.jms.extensions.JMSRuntimeHelper
`getJMSConnectionRuntimeMBean, getJMSDestinationRuntimeMBean, getJMSDestinationRuntimeMBean, getJMSMessageConsumerRuntimeMBean, getJMSMessageProducerRuntimeMBean, getJMSServerRuntimeMBean, getJMSServerRuntimeMBean, getJMSSessionRuntimeMBean, newJMSMessageIDToOld, oldJMSMessageIDToNew`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSModuleHelper

    public JMSModuleHelper()

Method Detail

### findDestinationBean

    public static weblogic.j2ee.descriptor.wl.DestinationBean findDestinationBean(String name,
                                                                                  weblogic.j2ee.descriptor.wl.JMSBean module)

  Finder for DestinationBean in a JMS Module

  Parameters:
    `name` - Name of DestinationBean to be found
    `module` - Root Bean of JMSModule
  Returns:
    QueueBean
  Since:
    WebLogic Server 9.0
  See Also:
    weblogic.j2ee.descriptor.wl.DestinationBean

### findAllInheritedDestinations

    public static weblogic.j2ee.descriptor.wl.DestinationBean[] findAllInheritedDestinations(String templateName,
                                                                                             weblogic.j2ee.descriptor.wl.JMSBean module)

  Returns an array of all the JMS destinations(queues/topics) that are inherited from the given Template (name)

  Parameters:
    `templateName` - from which the destinationsinherit
    `module` - in which to find the inherited destinations
  Returns:
    array of destinations inherited from the given template
  Since:
    WebLogic Server 9.0
  See Also:
    weblogic.j2ee.descriptor.wl.DestinationBean

### findAllInheritedQueueBeans

    public static weblogic.j2ee.descriptor.wl.QueueBean[] findAllInheritedQueueBeans(String templateName,
                                                                                     weblogic.j2ee.descriptor.wl.JMSBean module)

  Finder that returns all the QueueBeans that inherit from the given TemplateBean in a JMS Module

  Parameters:
    `templateName` - Name of TemplateBean to be found
    `module` - Root Bean of JMSModule
  Returns:
    QueueBean[]
  Since:
    WebLogic Server 9.0
  See Also:
    weblogic.j2ee.descriptor.wl.QueueBean

### findAllInheritedTopicBeans

    public static weblogic.j2ee.descriptor.wl.TopicBean[] findAllInheritedTopicBeans(String templateName,
                                                                                     weblogic.j2ee.descriptor.wl.JMSBean module)

  Finder that returns all the TopicBeans that inherit from the given TemplateBean in a JMS Module

  Parameters:
    `templateName` - Name of TemplateBean to be found
    `module` - Root Bean of JMSModule
  Returns:
    TopicBean[]
  Since:
    WebLogic Server 9.0
  See Also:
    weblogic.j2ee.descriptor.wl.TopicBean

  ### findJMSSystemResource

      public static weblogic.management.configuration.JMSSystemResourceMBean findJMSSystemResource(Context ctx,
                                                                                                   String resourceName)
                                                                                            throws JMSException

    Finder for a JMSSystemResourceMBean in a given WebLogic Domain

    Parameters:
      `resourceName` - Name of JMSSystemResourceMBean to be found
      `ctx` - An InitialContext to use for the search
    Returns:
      JMSSystemResourceMBean
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createJMSSystemResource

      public static void createJMSSystemResource(Context ctx,
                                                 String resourceName,
                                                 String targetName)
                                          throws JMSException

    Creates a JMS System resource in the given domain idenetified by the ctx

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the resource to be created
      `targetName` - name of the target
    Throws:
      `JMSException`

  ### createJMSSystemResource

      public static void createJMSSystemResource(weblogic.management.configuration.DomainMBean domain,
                                                 String resourceName,
                                                 String targetName)
                                          throws JMSException

    Creates a JMS System resource in the given domain idenetified by the ctx

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the resource to be created
      `targetName` - name of the target
    Throws:
      `JMSException`
    See Also:
      weblogic.management.configuration.DomainMBean

  ### deleteJMSSystemResource

      public static void deleteJMSSystemResource(Context ctx,
                                                 String resourceName)
                                          throws JMSException

    Removes the given JMS System Resource from the domain identified by admin URL

    Parameters:
      `ctx` - initial context of the server
      `resourceName` - name of the JMS system resource to be removed
    Throws:
      `JMSException`

  ### deleteJMSSystemResource

      public static void deleteJMSSystemResource(weblogic.management.configuration.DomainMBean domain,
                                                 String resourceName)
                                          throws JMSException

    Removes the given JMS System Resource from the domain identified by admin URL

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS system resource to be removed
    Throws:
      `JMSException`
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createTemplate

      public static void createTemplate(Context ctx,
                                        String resourceName,
                                        String templateName)
                                 throws JMSException

    Creates a TemplateBean in the given JMS resource using Context provided

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - JMS system resource name
      `templateName` - name of the template to be created
    Throws:
      `JMSException`

  ### createTemplate

      public static void createTemplate(weblogic.management.configuration.DomainMBean domain,
                                        String resourceName,
                                        String templateName)
                                 throws JMSException

    Creates a TemplateBean in the given JMS resource using Context provided

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS system resource name
      `templateName` - name of the template to be created
    Throws:
      `JMSException`
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createTemplate

      public static void createTemplate(Context ctx,
                                        String resourceName,
                                        String templateName,
                                        JMSNamedEntityModifier modifier)
                                 throws JMSException

    Creates a TemplateBean in the given JMS resource using Context provided

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - JMS system resource name
      `templateName` - name of the template to be created
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`

  ### createTemplate

      public static void createTemplate(weblogic.management.configuration.DomainMBean domain,
                                        String resourceName,
                                        String templateName,
                                        JMSNamedEntityModifier modifier)
                                 throws JMSException

    Creates a TemplateBean in the given JMS resource using Context provided

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS system resource name
      `templateName` - name of the template to be created
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    See Also:
      weblogic.management.configuration.DomainMBean

  ### deleteTemplate

      public static void deleteTemplate(Context ctx,
                                        String resourceName,
                                        String templateName)
                                 throws JMSException

    Deletes the TemplateBean from a given JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - JMS system resource name
      `templateName` - name of the template to be deleted
    Throws:
      `JMSException`

  ### deleteTemplate

      public static void deleteTemplate(weblogic.management.configuration.DomainMBean domain,
                                        String resourceName,
                                        String templateName)
                                 throws JMSException

    Deletes the TemplateBean from a given JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS system resource name
      `templateName` - name of the template to be deleted
    Throws:
      `JMSException`
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createQuota

      public static void createQuota(Context ctx,
                                     String resourceName,
                                     String quotaName,
                                     String targetName)
                              throws JMSException

    Creates the QuotaBean in the given JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - JMS system source module
      `quotaName` - Name of the quota bean to be created
      `targetName` - name of the target
    Throws:
      `JMSException`

  ### createQuota

      public static void createQuota(weblogic.management.configuration.DomainMBean domain,
                                     String resourceName,
                                     String quotaName,
                                     String targetName)
                              throws JMSException

    Creates the QuotaBean in the given JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS system source module
      `quotaName` - Name of the quota bean to be created
      `targetName` - name of the target
    Throws:
      `JMSException`
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createQuota

      public static void createQuota(Context ctx,
                                     String resourceName,
                                     String quotaName,
                                     String targetName,
                                     JMSNamedEntityModifier modifier)
                              throws JMSException

    Creates the QuotaBean in the given JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - JMS system source module
      `quotaName` - Name of the quota bean to be created
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`

  ### createQuota

      public static void createQuota(weblogic.management.configuration.DomainMBean domain,
                                     String resourceName,
                                     String quotaName,
                                     String targetName,
                                     JMSNamedEntityModifier modifier)
                              throws JMSException

    Creates the QuotaBean in the given JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS system source module
      `quotaName` - Name of the quota bean to be created
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    See Also:
      weblogic.management.configuration.DomainMBean

  ### deleteQuota

      public static void deleteQuota(Context ctx,
                                     String resourceName,
                                     String quotaName)
                              throws JMSException

    Deletes the QuotaBean from the given JMS System resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - JMS System resource name
      `quotaName` - Name of the quota bean to be deleted
    Throws:
      `JMSException`

  ### deleteQuota

      public static void deleteQuota(weblogic.management.configuration.DomainMBean domain,
                                     String resourceName,
                                     String quotaName)
                              throws JMSException

    Deletes the QuotaBean from the given JMS System resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS System resource name
      `quotaName` - Name of the quota bean to be deleted
    Throws:
      `JMSException`
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createDestinationKey

      public static void createDestinationKey(Context ctx,
                                              String resourceName,
                                              String destinationKeyName,
                                              String property,
                                              String keyType,
                                              String sortOrder)
                                       throws JMSException

    Creates a DestinationKey Bean in the given JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS system resource module
      `destinationKeyName` - name of the destination key
      `property` - name of the header property
      `keyType` - type of the header property
      `sortOrder` - sorting order
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createDestinationKey

      public static void createDestinationKey(weblogic.management.configuration.DomainMBean domain,
                                              String resourceName,
                                              String destinationKeyName,
                                              String property,
                                              String keyType,
                                              String sortOrder)
                                       throws JMSException

    Creates a DestinationKey Bean in the given JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS system resource module
      `destinationKeyName` - name of the destination key
      `property` - name of the header property
      `keyType` - type of the header property
      `sortOrder` - sorting order
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createDestinationKey

      public static void createDestinationKey(Context ctx,
                                              String resourceName,
                                              String destinationKeyName,
                                              String property,
                                              String keyType,
                                              String sortOrder,
                                              JMSNamedEntityModifier modifier)
                                       throws JMSException

    Creates a DestinationKey Bean in the given JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS system resource module
      `destinationKeyName` - name of the destination key
      `property` - name of the header property
      `keyType` - type of the header property
      `sortOrder` - sorting order
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createDestinationKey

      public static void createDestinationKey(weblogic.management.configuration.DomainMBean domain,
                                              String resourceName,
                                              String destinationKeyName,
                                              String property,
                                              String keyType,
                                              String sortOrder,
                                              JMSNamedEntityModifier modifier)
                                       throws JMSException

    Creates a DestinationKey Bean in the given JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS system resource module
      `destinationKeyName` - name of the destination key
      `property` - name of the header property
      `keyType` - type of the header property
      `sortOrder` - sorting order
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### deleteDestinationKey

      public static void deleteDestinationKey(Context ctx,
                                              String resourceName,
                                              String destinationKeyName)
                                       throws JMSException

    Deletes the destination key bean from the given

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS system resource
      `destinationKeyName` - name of the destination key
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### deleteDestinationKey

      public static void deleteDestinationKey(weblogic.management.configuration.DomainMBean domain,
                                              String resourceName,
                                              String destinationKeyName)
                                       throws JMSException

    Deletes the destination key bean from the given

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS system resource
      `destinationKeyName` - name of the destination key
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createConnectionFactory

      public static void createConnectionFactory(Context ctx,
                                                 String resourceName,
                                                 String factoryName,
                                                 String factoryJndiName,
                                                 String targetName)
                                          throws JMSException

    Creates a JMS connection factory in the given JMS System resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource in which to create the connection factory
      `factoryName` - name of the JMS connection factory
      `factoryJndiName` - JNDI name of the connection factory
      `targetName` - name of the target
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createConnectionFactory

      public static void createConnectionFactory(weblogic.management.configuration.DomainMBean domain,
                                                 String resourceName,
                                                 String factoryName,
                                                 String factoryJndiName,
                                                 String targetName)
                                          throws JMSException

    Creates a JMS connection factory in the given JMS System resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource in which to create the connection factory
      `factoryName` - name of the JMS connection factory
      `factoryJndiName` - JNDI name of the connection factory
      `targetName` - name of the target
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createConnectionFactory

      public static void createConnectionFactory(Context ctx,
                                                 String resourceName,
                                                 String factoryName,
                                                 String factoryJndiName,
                                                 String targetName,
                                                 JMSNamedEntityModifier modifier)
                                          throws JMSException

    Creates a JMS connection factory in the given JMS System resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource in which to create the connection factory
      `factoryName` - name of the JMS connection factory
      `factoryJndiName` - JNDI name of the connection factory
      `targetName` - name of the target
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createConnectionFactory

      public static void createConnectionFactory(weblogic.management.configuration.DomainMBean domain,
                                                 String resourceName,
                                                 String factoryName,
                                                 String factoryJndiName,
                                                 String targetName,
                                                 JMSNamedEntityModifier modifier)
                                          throws JMSException

    Creates a JMS connection factory in the given JMS System resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource in which to create the connection factory
      `factoryName` - name of the JMS connection factory
      `factoryJndiName` - JNDI name of the connection factory
      `targetName` - name of the target
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### deleteConnectionFactory

      public static void deleteConnectionFactory(Context ctx,
                                                 String resourceName,
                                                 String factoryName)
                                          throws JMSException

    Deletes a JMS connection factory from the given JMS System resource

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource module
      `factoryName` - name of the connection factory to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### deleteConnectionFactory

      public static void deleteConnectionFactory(weblogic.management.configuration.DomainMBean domain,
                                                 String resourceName,
                                                 String factoryName)
                                          throws JMSException

    Deletes a JMS connection factory from the given JMS System resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource module
      `factoryName` - name of the connection factory to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createQueue

      public static void createQueue(Context ctx,
                                     String resourceName,
                                     String jmsServerName,
                                     String queueName,
                                     String jndiName)
                              throws JMSException

    Creates a JMS queue in a given JMS system resource module. This method updates the following:
    - The JMS system resource with the given resource name is modified by this call.
    - JNDI namespace to advertise the destination.

    Note: The `createQueue()` method call can fail without throwing an exception. In addition, a thrown exception does not necessarily indicate that the method call failed.

    The time required to create the destination in the module and propagate the information on the JNDI namespace can be significant. The propagation delay increases if the environment contains multiple servers. It is recommended that you test for the existence of the queue using the session `createQueue()` method, rather than performing a JNDI lookup. By doing so, you can avoid some of the propagation-specific delays.

    Parameters:
      `ctx` - JNDI initial context
      `resourceName` - The name of the JMSSystemResource to modify
      `jmsServerName` - name of the JMS server
      `queueName` - name of the JMS queue
      `jndiName` - name used to lookup the destination within the JNDI namespace.
    Throws:
      `JMSException` - if a JMS error occurs
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `QueueSession.createQueue(java.lang.String)`

  ### createQueue

      public static void createQueue(weblogic.management.configuration.DomainMBean domain,
                                     String resourceName,
                                     String jmsServerName,
                                     String queueName,
                                     String jndiName)
                              throws JMSException

    Creates a JMS queue in a given JMS system resource module. This method updates the following:
    - The JMS system resource with the given resource name is modified by this call.
    - JNDI namespace to advertise the destination.

    Note: The `createQueue()` method call can fail without throwing an exception. In addition, a thrown exception does not necessarily indicate that the method call failed.

    The time required to create the destination in the module and propagate the information on the JNDI namespace can be significant. The propagation delay increases if the environment contains multiple servers. It is recommended that you test for the existence of the queue using the session `createQueue()` method, rather than performing a JNDI lookup. By doing so, you can avoid some of the propagation-specific delays.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - The name of the JMSSystemResource to modify
      `jmsServerName` - name of the JMS server
      `queueName` - name of the JMS queue
      `jndiName` - name used to lookup the destination within the JNDI namespace.
    Throws:
      `JMSException` - if a JMS error occurs
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `QueueSession.createQueue(java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createQueue

      public static void createQueue(Context ctx,
                                     String resourceName,
                                     String jmsServerName,
                                     String queueName,
                                     String jndiName,
                                     JMSNamedEntityModifier modifier)
                              throws JMSException

    Creates a JMS queue in a given JMS system resource module. This method updates the following:
    - The JMS system resource with the given resource name is modified by this call.
    - JNDI namespace to advertise the destination.

    Note: The `createQueue()` method call can fail without throwing an exception. In addition, a thrown exception does not necessarily indicate that the method call failed.

    The time required to create the destination in the module and propagate the information on the JNDI namespace can be significant. The propagation delay increases if the environment contains multiple servers. It is recommended that you test for the existence of the queue using the session `createQueue()` method, rather than performing a JNDI lookup. By doing so, you can avoid some of the propagation-specific delays.

    Parameters:
      `ctx` - JNDI initial context
      `resourceName` - The name of the JMSSystemResource to modify
      `jmsServerName` - name of the JMS server
      `queueName` - name of the JMS queue
      `jndiName` - name used to lookup the destination within the JNDI namespace.
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException` - if a JMS error occurs
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `QueueSession.createQueue(java.lang.String)`

  ### createQueue

      public static void createQueue(weblogic.management.configuration.DomainMBean domain,
                                     String resourceName,
                                     String jmsServerName,
                                     String queueName,
                                     String jndiName,
                                     JMSNamedEntityModifier modifier)
                              throws JMSException

    Creates a JMS queue in a given JMS system resource module. This method updates the following:
    - The JMS system resource with the given resource name is modified by this call.
    - JNDI namespace to advertise the destination.

    Note: The `createQueue()` method call can fail without throwing an exception. In addition, a thrown exception does not necessarily indicate that the method call failed.

    The time required to create the destination in the module and propagate the information on the JNDI namespace can be significant. The propagation delay increases if the environment contains multiple servers. It is recommended that you test for the existence of the queue using the session `createQueue()` method, rather than performing a JNDI lookup. By doing so, you can avoid some of the propagation-specific delays.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - The name of the JMSSystemResource to modify
      `jmsServerName` - name of the JMS server
      `queueName` - name of the JMS queue
      `jndiName` - name used to lookup the destination within the JNDI namespace.
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException` - if a JMS error occurs
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `QueueSession.createQueue(java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteQueue

      public static void deleteQueue(Context ctx,
                                     String resourceName,
                                     String queueName)
                              throws JMSException

    Deletes a JMS queue from the given JMS system resource module. This method updates the specified JMS system resource module descriptor to remove the queue entry.

    A thrown exception does not necessarily indicate that the method call failed.

    Parameters:
      `ctx` - JNDI initial context.
      `resourceName` - JMS resource name from where the queue will be deleted
      `queueName` - name of the JMS queue
    Throws:
      `weblogic.jms.common.JMSException` - if a JMS error occurs
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteTopic(javax.naming.Context, java.lang.String, java.lang.String)`

  ### deleteQueue

      public static void deleteQueue(weblogic.management.configuration.DomainMBean domain,
                                     String resourceName,
                                     String queueName)
                              throws JMSException

    Deletes a JMS queue from the given JMS system resource module. This method updates the specified JMS system resource module descriptor to remove the queue entry.

    A thrown exception does not necessarily indicate that the method call failed.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name from where the queue will be deleted
      `queueName` - name of the JMS queue
    Throws:
      `weblogic.jms.common.JMSException` - if a JMS error occurs
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteTopic(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createTopic

      public static void createTopic(Context ctx,
                                     String resourceName,
                                     String jmsServerName,
                                     String topicName,
                                     String jndiName)
                              throws JMSException

    Creates a JMS topic in a given JMS system resource module This method updates the following:
    - The JMS system resource with the given resource name is modified by this call.
    - JNDI namespace to advertise the destination.

    Note: The `createTopic()` method call can fail without throwing an exception. In addition, a thrown exception does not necessarily indicate that the method call failed.

    The time required to create the destination in the module and propagate the information on the JNDI namespace can be significant. The propagation delay increases if the environment contains multiple servers. It is recommended that you test for the existence of the topic using the session `createTopic()` method, rather than performing a JNDI lookup. By doing so, you can avoid some of the propagation-specific delays.

    Parameters:
      `ctx` - JNDI initial context
      `resourceName` - The name of the JMSSystemResource to modify
      `jmsServerName` - name of the JMS server
      `topicName` - name of the JMS topic
      `jndiName` - name used to lookup the destination within the JNDI namespace.
    Throws:
      `JMSException` - if a JMS error occurs
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `TopicSession.createTopic(java.lang.String)`

  ### createTopic

      public static void createTopic(weblogic.management.configuration.DomainMBean domain,
                                     String resourceName,
                                     String jmsServerName,
                                     String topicName,
                                     String jndiName)
                              throws JMSException

    Creates a JMS topic in a given JMS system resource module This method updates the following:
    - The JMS system resource with the given resource name is modified by this call.
    - JNDI namespace to advertise the destination.

    Note: The `createTopic()` method call can fail without throwing an exception. In addition, a thrown exception does not necessarily indicate that the method call failed.

    The time required to create the destination in the module and propagate the information on the JNDI namespace can be significant. The propagation delay increases if the environment contains multiple servers. It is recommended that you test for the existence of the topic using the session `createTopic()` method, rather than performing a JNDI lookup. By doing so, you can avoid some of the propagation-specific delays.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - The name of the JMSSystemResource to modify
      `jmsServerName` - name of the JMS server
      `topicName` - name of the JMS topic
      `jndiName` - name used to lookup the destination within the JNDI namespace.
    Throws:
      `JMSException` - if a JMS error occurs
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `TopicSession.createTopic(java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createTopic

      public static void createTopic(Context ctx,
                                     String resourceName,
                                     String jmsServerName,
                                     String topicName,
                                     String jndiName,
                                     JMSNamedEntityModifier modifier)
                              throws JMSException

    Creates a JMS topic in a given JMS system resource module This method updates the following:
    - The JMS system resource with the given resource name is modified by this call.
    - JNDI namespace to advertise the destination.

    Note: The `createTopic()` method call can fail without throwing an exception. In addition, a thrown exception does not necessarily indicate that the method call failed.

    The time required to create the destination in the module and propagate the information on the JNDI namespace can be significant. The propagation delay increases if the environment contains multiple servers. It is recommended that you test for the existence of the topic using the session `createTopic()` method, rather than performing a JNDI lookup. By doing so, you can avoid some of the propagation-specific delays.

    Parameters:
      `ctx` - JNDI initial context
      `resourceName` - The name of the JMSSystemResource to modify
      `jmsServerName` - name of the JMS server
      `topicName` - name of the JMS topic
      `jndiName` - name used to lookup the destination within the JNDI namespace.
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException` - if a JMS error occurs
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `TopicSession.createTopic(java.lang.String)`

  ### createTopic

      public static void createTopic(weblogic.management.configuration.DomainMBean domain,
                                     String resourceName,
                                     String jmsServerName,
                                     String topicName,
                                     String jndiName,
                                     JMSNamedEntityModifier modifier)
                              throws JMSException

    Creates a JMS topic in a given JMS system resource module This method updates the following:
    - The JMS system resource with the given resource name is modified by this call.
    - JNDI namespace to advertise the destination.

    Note: The `createTopic()` method call can fail without throwing an exception. In addition, a thrown exception does not necessarily indicate that the method call failed.

    The time required to create the destination in the module and propagate the information on the JNDI namespace can be significant. The propagation delay increases if the environment contains multiple servers. It is recommended that you test for the existence of the topic using the session `createTopic()` method, rather than performing a JNDI lookup. By doing so, you can avoid some of the propagation-specific delays.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - The name of the JMSSystemResource to modify
      `jmsServerName` - name of the JMS server
      `topicName` - name of the JMS topic
      `jndiName` - name used to lookup the destination within the JNDI namespace.
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException` - if a JMS error occurs
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `TopicSession.createTopic(java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteTopic

      public static void deleteTopic(Context ctx,
                                     String resourceName,
                                     String topicName)
                              throws JMSException

    Deletes a JMS topic from the given JMS system resource module. This method is similar to the `deleteQueue()` method, except that it deletes topics rather than queues.

    A thrown exception does not necessarily indicate that the method call failed.

    Parameters:
      `ctx` - JNDI initial context.
      `resourceName` - JMS resource name from where topic will be deleted
      `topicName` - name of the JMS topic
    Throws:
      `weblogic.jms.common.ConfigurationException` - if a JMS error occurs
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteQueue(javax.naming.Context, java.lang.String, java.lang.String)`

  ### deleteTopic

      public static void deleteTopic(weblogic.management.configuration.DomainMBean domain,
                                     String resourceName,
                                     String topicName)
                              throws JMSException

    Deletes a JMS topic from the given JMS system resource module. This method is similar to the `deleteQueue()` method, except that it deletes topics rather than queues.

    A thrown exception does not necessarily indicate that the method call failed.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name from where topic will be deleted
      `topicName` - name of the JMS topic
    Throws:
      `weblogic.jms.common.ConfigurationException` - if a JMS error occurs
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteQueue(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createDistributedQueue

      public static void createDistributedQueue(Context ctx,
                                                String resourceName,
                                                String distributedQueueName,
                                                String jndiName)
                                         throws JMSException

    Create a distributed queue and its members in the given JMS Module and target them on the specified JMS servers

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `jndiName` - the name to give the distributed queue in JNDI
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### createDistributedQueue

      public static void createDistributedQueue(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String distributedQueueName,
                                                String jndiName)
                                         throws JMSException

    Create a distributed queue and its members in the given JMS Module and target them on the specified JMS servers

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `jndiName` - the name to give the distributed queue in JNDI
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createDistributedQueue

      public static void createDistributedQueue(Context ctx,
                                                String resourceName,
                                                String distributedQueueName,
                                                String jndiName,
                                                JMSNamedEntityModifier modifier)
                                         throws JMSException

    Create a distributed queue and its members in the given JMS Module and target them on the specified JMS servers

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `jndiName` - the name to give the distributed queue in JNDI
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### createDistributedQueue

      public static void createDistributedQueue(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String distributedQueueName,
                                                String jndiName,
                                                JMSNamedEntityModifier modifier)
                                         throws JMSException

    Create a distributed queue and its members in the given JMS Module and target them on the specified JMS servers

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `jndiName` - the name to give the distributed queue in JNDI
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteDistributedQueue

      public static void deleteDistributedQueue(Context ctx,
                                                String resourceName,
                                                String distributedQueueName,
                                                boolean deleteMembers)
                                         throws JMSException

    Delete a distributed queue and all its members. This method will iterate through all the members, and delete the member queues as well as the distributed queue itself.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name from where the distributed queue will be deleted
      `distributedQueueName` - the name of the distributed queue to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteDistributedTopic(javax.naming.Context, java.lang.String, java.lang.String, boolean)`

  ### deleteDistributedQueue

      public static void deleteDistributedQueue(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String distributedQueueName,
                                                boolean deleteMembers)
                                         throws JMSException

    Delete a distributed queue and all its members. This method will iterate through all the members, and delete the member queues as well as the distributed queue itself.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name from where the distributed queue will be deleted
      `distributedQueueName` - the name of the distributed queue to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteDistributedTopic(javax.naming.Context, java.lang.String, java.lang.String, boolean)`, weblogic.management.configuration.DomainMBean

  ### createDistributedQueueMember

      public static void createDistributedQueueMember(Context ctx,
                                                      String resourceName,
                                                      String distributedQueueName,
                                                      String distributedQueueMemberName,
                                                      int weight)
                                               throws JMSException

    Create a distributed queue member for a given distributed queue in a given JMS Module.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `distributedQueueMemberName` - the name to give the distributed queue member. Must be equal to the name of the queue to be used as a member
      `weight` - of this member for when considering for load balancing.
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, int)`

  ### createDistributedQueueMember

      public static void createDistributedQueueMember(weblogic.management.configuration.DomainMBean domain,
                                                      String resourceName,
                                                      String distributedQueueName,
                                                      String distributedQueueMemberName,
                                                      int weight)
                                               throws JMSException

    Create a distributed queue member for a given distributed queue in a given JMS Module.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `distributedQueueMemberName` - the name to give the distributed queue member. Must be equal to the name of the queue to be used as a member
      `weight` - of this member for when considering for load balancing.
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, int)`, weblogic.management.configuration.DomainMBean

  ### createDistributedQueueMember

      public static void createDistributedQueueMember(Context ctx,
                                                      String resourceName,
                                                      String distributedQueueName,
                                                      String distributedQueueMemberName,
                                                      int weight,
                                                      JMSNamedEntityModifier modifier)
                                               throws JMSException

    Create a distributed queue member for a given distributed queue in a given JMS Module.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `distributedQueueMemberName` - the name to give the distributed queue member. Must be equal to the name of the queue to be used as a member
      `weight` - of this member for when considering for load balancing.
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, int)`

  ### createDistributedQueueMember

      public static void createDistributedQueueMember(weblogic.management.configuration.DomainMBean domain,
                                                      String resourceName,
                                                      String distributedQueueName,
                                                      String distributedQueueMemberName,
                                                      int weight,
                                                      JMSNamedEntityModifier modifier)
                                               throws JMSException

    Create a distributed queue member for a given distributed queue in a given JMS Module.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `distributedQueueMemberName` - the name to give the distributed queue member. Must be equal to the name of the queue to be used as a member
      `weight` - of this member for when considering for load balancing.
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, int)`, weblogic.management.configuration.DomainMBean

  ### deleteDistributedQueueMember

      public static void deleteDistributedQueueMember(Context ctx,
                                                      String resourceName,
                                                      String distributedQueueName,
                                                      String distributedQueueMemberName)
                                               throws JMSException

    Delete a distributed queue member of a given distributed queue in a given JMS Module.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `distributedQueueMemberName` - the name to give the distributed queue member
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### deleteDistributedQueueMember

      public static void deleteDistributedQueueMember(weblogic.management.configuration.DomainMBean domain,
                                                      String resourceName,
                                                      String distributedQueueName,
                                                      String distributedQueueMemberName)
                                               throws JMSException

    Delete a distributed queue member of a given distributed queue in a given JMS Module.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed queue will be created
      `distributedQueueName` - the name of the distributed queue to create
      `distributedQueueMemberName` - the name to give the distributed queue member
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### getDistributedQueueMemberNames

      public static String[] getDistributedQueueMemberNames(Context ctx,
                                                            String resourceName,
                                                            String distributedQueueName)
                                                     throws JMSException

    Returns an array of distributed queue member names of given a distributed queue from a given JMS system resource

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name where the distributed queue is present
      `distributedQueueName` - the name of the distributed queue to get the member names from
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### getDistributedQueueMemberNames

      public static String[] getDistributedQueueMemberNames(weblogic.management.configuration.DomainMBean domain,
                                                            String resourceName,
                                                            String distributedQueueName)
                                                     throws JMSException

    Returns an array of distributed queue member names of given a distributed queue from a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name where the distributed queue is present
      `distributedQueueName` - the name of the distributed queue to get the member names from
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### getDistributedQueueMemberJndiNames

      public static String[] getDistributedQueueMemberJndiNames(Context ctx,
                                                                String resourceName,
                                                                String distributedQueueName)
                                                         throws JMSException

    Returns an array of distributed queue member JNDI names of given a distributed queue from a given JMS system resource

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name where the distributed queue is present
      `distributedQueueName` - the name of the distributed queue to get the member JNDI names from
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### getDistributedQueueMemberJndiNames

      public static String[] getDistributedQueueMemberJndiNames(weblogic.management.configuration.DomainMBean domain,
                                                                String resourceName,
                                                                String distributedQueueName)
                                                         throws JMSException

    Returns an array of distributed queue member JNDI names of given a distributed queue from a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name where the distributed queue is present
      `distributedQueueName` - the name of the distributed queue to get the member JNDI names from
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createDistributedTopic

      public static void createDistributedTopic(Context ctx,
                                                String resourceName,
                                                String distributedTopicName,
                                                String jndiName)
                                         throws JMSException

    Create a distributed topic and its members in the given JMS Module and target them on the specified JMS servers.

    A JMS template will also be created for the distributed destination with the same name as the destination, and this template will be used as the template for all of the member destinations.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `jndiName` - the name to give the distributed topic in JNDI
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### createDistributedTopic

      public static void createDistributedTopic(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String distributedTopicName,
                                                String jndiName)
                                         throws JMSException

    Create a distributed topic and its members in the given JMS Module and target them on the specified JMS servers.

    A JMS template will also be created for the distributed destination with the same name as the destination, and this template will be used as the template for all of the member destinations.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `jndiName` - the name to give the distributed topic in JNDI
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createDistributedTopic

      public static void createDistributedTopic(Context ctx,
                                                String resourceName,
                                                String distributedTopicName,
                                                String jndiName,
                                                JMSNamedEntityModifier modifier)
                                         throws JMSException

    Create a distributed topic and its members in the given JMS Module and target them on the specified JMS servers.

    A JMS template will also be created for the distributed destination with the same name as the destination, and this template will be used as the template for all of the member destinations.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `jndiName` - the name to give the distributed topic in JNDI
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### createDistributedTopic

      public static void createDistributedTopic(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String distributedTopicName,
                                                String jndiName,
                                                JMSNamedEntityModifier modifier)
                                         throws JMSException

    Create a distributed topic and its members in the given JMS Module and target them on the specified JMS servers.

    A JMS template will also be created for the distributed destination with the same name as the destination, and this template will be used as the template for all of the member destinations.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `jndiName` - the name to give the distributed topic in JNDI
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteDistributedTopic

      public static void deleteDistributedTopic(Context ctx,
                                                String resourceName,
                                                String distributedTopicName,
                                                boolean deleteMembers)
                                         throws JMSException

    Delete a distributed topic and all its members. This method will iterate through all the members, and delete the member topics as well as the distributed topic itself.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name from where the distributed topic will be deleted
      `distributedTopicName` - the name of the distributed topic to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, boolean)`

  ### deleteDistributedTopic

      public static void deleteDistributedTopic(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String distributedTopicName,
                                                boolean deleteMembers)
                                         throws JMSException

    Delete a distributed topic and all its members. This method will iterate through all the members, and delete the member topics as well as the distributed topic itself.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name from where the distributed topic will be deleted
      `distributedTopicName` - the name of the distributed topic to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, boolean)`, weblogic.management.configuration.DomainMBean

  ### createDistributedTopicMember

      public static void createDistributedTopicMember(Context ctx,
                                                      String resourceName,
                                                      String distributedTopicName,
                                                      String distributedTopicMemberName,
                                                      int weight)
                                               throws JMSException

    Create a distributed topic member for a given distributed topic in a given JMS Module.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `distributedTopicMemberName` - the name to give the distributed topic member. Must be equal to the name of the topic to use.
      `weight` - of this member for when considering for load balancing.
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, int)`

  ### createDistributedTopicMember

      public static void createDistributedTopicMember(weblogic.management.configuration.DomainMBean domain,
                                                      String resourceName,
                                                      String distributedTopicName,
                                                      String distributedTopicMemberName,
                                                      int weight)
                                               throws JMSException

    Create a distributed topic member for a given distributed topic in a given JMS Module.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `distributedTopicMemberName` - the name to give the distributed topic member. Must be equal to the name of the topic to use.
      `weight` - of this member for when considering for load balancing.
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, int)`, weblogic.management.configuration.DomainMBean

  ### createDistributedTopicMember

      public static void createDistributedTopicMember(Context ctx,
                                                      String resourceName,
                                                      String distributedTopicName,
                                                      String distributedTopicMemberName,
                                                      int weight,
                                                      JMSNamedEntityModifier modifier)
                                               throws JMSException

    Create a distributed topic member for a given distributed topic in a given JMS Module.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `distributedTopicMemberName` - the name to give the distributed topic member. Must be equal to the name of the topic to use.
      `weight` - of this member for when considering for load balancing.
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, int)`

  ### createDistributedTopicMember

      public static void createDistributedTopicMember(weblogic.management.configuration.DomainMBean domain,
                                                      String resourceName,
                                                      String distributedTopicName,
                                                      String distributedTopicMemberName,
                                                      int weight,
                                                      JMSNamedEntityModifier modifier)
                                               throws JMSException

    Create a distributed topic member for a given distributed topic in a given JMS Module.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `distributedTopicMemberName` - the name to give the distributed topic member. Must be equal to the name of the topic to use.
      `weight` - of this member for when considering for load balancing.
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, int)`, weblogic.management.configuration.DomainMBean

  ### deleteDistributedTopicMember

      public static void deleteDistributedTopicMember(Context ctx,
                                                      String resourceName,
                                                      String distributedTopicName,
                                                      String distributedTopicMemberName)
                                               throws JMSException

    Delete a distributed topic member of a given distributed topic in a given JMS Module.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `distributedTopicMemberName` - the name to give the distributed topic member
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### deleteDistributedTopicMember

      public static void deleteDistributedTopicMember(weblogic.management.configuration.DomainMBean domain,
                                                      String resourceName,
                                                      String distributedTopicName,
                                                      String distributedTopicMemberName)
                                               throws JMSException

    Delete a distributed topic member of a given distributed topic in a given JMS Module.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the distributed topic will be created
      `distributedTopicName` - the name of the distributed topic to create
      `distributedTopicMemberName` - the name to give the distributed topic member
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteDistributedTopicMember(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### getDistributedTopicMemberNames

      public static String[] getDistributedTopicMemberNames(Context ctx,
                                                            String resourceName,
                                                            String distributedTopicName)
                                                     throws JMSException

    Returns an array of distributed topic member names of given a distributed topic from a given JMS system resource

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name where the distributed topic is present
      `distributedTopicName` - the name of the distributed topic to get the member names from
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### getDistributedTopicMemberNames

      public static String[] getDistributedTopicMemberNames(weblogic.management.configuration.DomainMBean domain,
                                                            String resourceName,
                                                            String distributedTopicName)
                                                     throws JMSException

    Returns an array of distributed topic member names of given a distributed topic from a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name where the distributed topic is present
      `distributedTopicName` - the name of the distributed topic to get the member names from
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createUniformDistributedTopic

      public static void createUniformDistributedTopic(Context ctx,
                                                       String resourceName,
                                                       String uniformDistributedTopicName,
                                                       String jndiName,
                                                       String targetName)
                                                throws JMSException

    Create a uniform distributed topic in the given JMS Module and target it as stated.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the disttributed topic will be created
      `uniformDistributedTopicName` - the name of the distributed topic to create
      `jndiName` - the name to give the distributed topic in JNDI
      `targetName` - name of the target
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### createUniformDistributedTopic

      public static void createUniformDistributedTopic(weblogic.management.configuration.DomainMBean domain,
                                                       String resourceName,
                                                       String uniformDistributedTopicName,
                                                       String jndiName,
                                                       String targetName)
                                                throws JMSException

    Create a uniform distributed topic in the given JMS Module and target it as stated.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the disttributed topic will be created
      `uniformDistributedTopicName` - the name of the distributed topic to create
      `jndiName` - the name to give the distributed topic in JNDI
      `targetName` - name of the target
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createUniformDistributedTopic

      public static void createUniformDistributedTopic(Context ctx,
                                                       String resourceName,
                                                       String uniformDistributedTopicName,
                                                       String jndiName,
                                                       String targetName,
                                                       JMSNamedEntityModifier modifier)
                                                throws JMSException

    Create a uniform distributed topic in the given JMS Module and target it as stated.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the disttributed topic will be created
      `uniformDistributedTopicName` - the name of the distributed topic to create
      `jndiName` - the name to give the distributed topic in JNDI
      `targetName` - name of the target
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### createUniformDistributedTopic

      public static void createUniformDistributedTopic(weblogic.management.configuration.DomainMBean domain,
                                                       String resourceName,
                                                       String uniformDistributedTopicName,
                                                       String jndiName,
                                                       String targetName,
                                                       JMSNamedEntityModifier modifier)
                                                throws JMSException

    Create a uniform distributed topic in the given JMS Module and target it as stated.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the disttributed topic will be created
      `uniformDistributedTopicName` - the name of the distributed topic to create
      `jndiName` - the name to give the distributed topic in JNDI
      `targetName` - name of the target
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createUniformDistributedQueue

      public static void createUniformDistributedQueue(Context ctx,
                                                       String resourceName,
                                                       String uniformDistributedQueueName,
                                                       String jndiName,
                                                       String targetName)
                                                throws JMSException

    Create a uniform distributed queue in the given JMS Module and target it as stated.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the disttributed queue will be created
      `uniformDistributedQueueName` - the name of the distributed queue to create
      `jndiName` - the name to give the distributed queue in JNDI
      `targetName` - name of the target
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### createUniformDistributedQueue

      public static void createUniformDistributedQueue(weblogic.management.configuration.DomainMBean domain,
                                                       String resourceName,
                                                       String uniformDistributedQueueName,
                                                       String jndiName,
                                                       String targetName)
                                                throws JMSException

    Create a uniform distributed queue in the given JMS Module and target it as stated.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the disttributed queue will be created
      `uniformDistributedQueueName` - the name of the distributed queue to create
      `jndiName` - the name to give the distributed queue in JNDI
      `targetName` - name of the target
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createUniformDistributedQueue

      public static void createUniformDistributedQueue(Context ctx,
                                                       String resourceName,
                                                       String uniformDistributedQueueName,
                                                       String jndiName,
                                                       String targetName,
                                                       JMSNamedEntityModifier modifier)
                                                throws JMSException

    Create a uniform distributed queue in the given JMS Module and target it as stated.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name in which the disttributed queue will be created
      `uniformDistributedQueueName` - the name of the distributed queue to create
      `jndiName` - the name to give the distributed queue in JNDI
      `targetName` - name of the target
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### createUniformDistributedQueue

      public static void createUniformDistributedQueue(weblogic.management.configuration.DomainMBean domain,
                                                       String resourceName,
                                                       String uniformDistributedQueueName,
                                                       String jndiName,
                                                       String targetName,
                                                       JMSNamedEntityModifier modifier)
                                                throws JMSException

    Create a uniform distributed queue in the given JMS Module and target it as stated.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name in which the disttributed queue will be created
      `uniformDistributedQueueName` - the name of the distributed queue to create
      `jndiName` - the name to give the distributed queue in JNDI
      `targetName` - name of the target
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteUniformDistributedQueue

      public static void deleteUniformDistributedQueue(Context ctx,
                                                       String resourceName,
                                                       String queueName)
                                                throws JMSException

    Deletes a JMS uniform distributed queue from the given JMS system resource module. This method updates the specified JMS system resource module descriptor to remove the queue entry.

    A thrown exception does not necessarily indicate that the method call failed.

    Parameters:
      `ctx` - JNDI initial context.
      `resourceName` - JMS resource name from where the queue will be deleted
      `queueName` - name of the JMS uniform distributed queue
    Throws:
      `weblogic.jms.common.JMSException` - if a JMS error occurs
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteUniformDistributedTopic(javax.naming.Context, java.lang.String, java.lang.String)`

  ### deleteUniformDistributedQueue

      public static void deleteUniformDistributedQueue(weblogic.management.configuration.DomainMBean domain,
                                                       String resourceName,
                                                       String queueName)
                                                throws JMSException

    Deletes a JMS uniform distributed queue from the given JMS system resource module. This method updates the specified JMS system resource module descriptor to remove the queue entry.

    A thrown exception does not necessarily indicate that the method call failed.

    Parameters:
      `domain` - currnent edit tree domain
      `resourceName` - JMS resource name from where the queue will be deleted
      `queueName` - name of the JMS uniform distributed queue
    Throws:
      `weblogic.jms.common.JMSException` - if a JMS error occurs
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteUniformDistributedTopic(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteUniformDistributedTopic

      public static void deleteUniformDistributedTopic(Context ctx,
                                                       String resourceName,
                                                       String topicName)
                                                throws JMSException

    Deletes a JMS uniform distributed topic from the given JMS system resource module. This method updates the specified JMS system resource module descriptor to remove the topic entry.

    A thrown exception does not necessarily indicate that the method call failed.

    Parameters:
      `ctx` - JNDI initial context.
      `resourceName` - JMS resource name from where the topic will be deleted
      `topicName` - name of the JMS uniform distributed topic
    Throws:
      `weblogic.jms.common.JMSException` - if a JMS error occurs
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteUniformDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String)`

  ### deleteUniformDistributedTopic

      public static void deleteUniformDistributedTopic(weblogic.management.configuration.DomainMBean domain,
                                                       String resourceName,
                                                       String topicName)
                                                throws JMSException

    Deletes a JMS uniform distributed topic from the given JMS system resource module. This method updates the specified JMS system resource module descriptor to remove the topic entry.

    A thrown exception does not necessarily indicate that the method call failed.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name from where the topic will be deleted
      `topicName` - name of the JMS uniform distributed topic
    Throws:
      `weblogic.jms.common.JMSException` - if a JMS error occurs
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteUniformDistributedQueue(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### getDistributedTopicMemberJndiNames

      public static String[] getDistributedTopicMemberJndiNames(Context ctx,
                                                                String resourceName,
                                                                String distributedTopicName)
                                                         throws JMSException

    Returns an array of distributed topic member JNDI names of given a distributed topic from a given JMS system resource

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name where the distributed topic is present
      `distributedTopicName` - the name of the distributed topic to get the member JNDI names from
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### getDistributedTopicMemberJndiNames

      public static String[] getDistributedTopicMemberJndiNames(weblogic.management.configuration.DomainMBean domain,
                                                                String resourceName,
                                                                String distributedTopicName)
                                                         throws JMSException

    Returns an array of distributed topic member JNDI names of given a distributed topic from a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name where the distributed topic is present
      `distributedTopicName` - the name of the distributed topic to get the member JNDI names from
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createForeignServer

      public static void createForeignServer(Context ctx,
                                             String resourceName,
                                             String foreignServerName,
                                             String targetName)
                                      throws JMSException

    Creates a foriegn JMS server in a given JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource in which to create the foreign server
      `foreignServerName` - name of the JMS foreign server
      `targetName` - name of the target
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createForeignServer

      public static void createForeignServer(weblogic.management.configuration.DomainMBean domain,
                                             String resourceName,
                                             String foreignServerName,
                                             String targetName)
                                      throws JMSException

    Creates a foriegn JMS server in a given JMS system resource module

    Parameters:
      `domain` - currnet edit tree domain
      `resourceName` - name of the JMS System resource in which to create the foreign server
      `foreignServerName` - name of the JMS foreign server
      `targetName` - name of the target
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createForeignServer

      public static void createForeignServer(Context ctx,
                                             String resourceName,
                                             String foreignServerName,
                                             String targetName,
                                             JMSNamedEntityModifier modifier)
                                      throws JMSException

    Creates a foriegn JMS server in a given JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource in which to create the foreign server
      `foreignServerName` - name of the JMS foreign server
      `targetName` - name of the target
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createForeignServer

      public static void createForeignServer(weblogic.management.configuration.DomainMBean domain,
                                             String resourceName,
                                             String foreignServerName,
                                             String targetName,
                                             JMSNamedEntityModifier modifier)
                                      throws JMSException

    Creates a foriegn JMS server in a given JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource in which to create the foreign server
      `foreignServerName` - name of the JMS foreign server
      `targetName` - name of the target
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### deleteForeignServer

      public static void deleteForeignServer(Context ctx,
                                             String resourceName,
                                             String foreignServerName)
                                      throws JMSException

    Delete a foreign server and all its foreign connection factories and foreign destinations.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name from where the foreign server will be deleted
      `foreignServerName` - the name of the foreign server to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteForeignConnectionFactory(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, `JMSModuleHelper.deleteForeignDestination(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### deleteForeignServer

      public static void deleteForeignServer(weblogic.management.configuration.DomainMBean domain,
                                             String resourceName,
                                             String foreignServerName)
                                      throws JMSException

    Delete a foreign server and all its foreign connection factories and foreign destinations.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name from where the foreign server will be deleted
      `foreignServerName` - the name of the foreign server to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteForeignConnectionFactory(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, `JMSModuleHelper.deleteForeignDestination(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createForeignDestination

      public static void createForeignDestination(Context ctx,
                                                  String resourceName,
                                                  String foreignServerName,
                                                  String foreignDestinationName,
                                                  String localJNDIName,
                                                  String remoteJNDIName)
                                           throws JMSException

    Creates a foreign JMS destination in a given foreign server of a JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `foreignServerName` - name of the JMS foreign server
      `foreignDestinationName` - name of the JMS foreign destination to create
      `localJNDIName` - local JNDI name of name foreign destination
      `remoteJNDIName` - remote JNDI name of the foreign destination
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createForeignDestination

      public static void createForeignDestination(weblogic.management.configuration.DomainMBean domain,
                                                  String resourceName,
                                                  String foreignServerName,
                                                  String foreignDestinationName,
                                                  String localJNDIName,
                                                  String remoteJNDIName)
                                           throws JMSException

    Creates a foreign JMS destination in a given foreign server of a JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `foreignServerName` - name of the JMS foreign server
      `foreignDestinationName` - name of the JMS foreign destination to create
      `localJNDIName` - local JNDI name of name foreign destination
      `remoteJNDIName` - remote JNDI name of the foreign destination
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createForeignDestination

      public static void createForeignDestination(Context ctx,
                                                  String resourceName,
                                                  String foreignServerName,
                                                  String foreignDestinationName,
                                                  String localJNDIName,
                                                  String remoteJNDIName,
                                                  JMSNamedEntityModifier modifier)
                                           throws JMSException

    Creates a foreign JMS destination in a given foreign server of a JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `foreignServerName` - name of the JMS foreign server
      `foreignDestinationName` - name of the JMS foreign destination to create
      `localJNDIName` - local JNDI name of name foreign destination
      `remoteJNDIName` - remote JNDI name of the foreign destination
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createForeignDestination

      public static void createForeignDestination(weblogic.management.configuration.DomainMBean domain,
                                                  String resourceName,
                                                  String foreignServerName,
                                                  String foreignDestinationName,
                                                  String localJNDIName,
                                                  String remoteJNDIName,
                                                  JMSNamedEntityModifier modifier)
                                           throws JMSException

    Creates a foreign JMS destination in a given foreign server of a JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `foreignServerName` - name of the JMS foreign server
      `foreignDestinationName` - name of the JMS foreign destination to create
      `localJNDIName` - local JNDI name of name foreign destination
      `remoteJNDIName` - remote JNDI name of the foreign destination
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### deleteForeignDestination

      public static void deleteForeignDestination(Context ctx,
                                                  String resourceName,
                                                  String foreignServerName,
                                                  String foreignDestinationName)
                                           throws JMSException

    Delete a foreign destination from a given foreignServer in a resource

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name from where the foreign server will be deleted
      `foreignServerName` - the name of the foreign server from which to delete
      `foreignDestinationName` - the name of the foreign destination
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteForeignServer(javax.naming.Context, java.lang.String, java.lang.String)`, `JMSModuleHelper.deleteForeignConnectionFactory(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### deleteForeignDestination

      public static void deleteForeignDestination(weblogic.management.configuration.DomainMBean domain,
                                                  String resourceName,
                                                  String foreignServerName,
                                                  String foreignDestinationName)
                                           throws JMSException

    Delete a foreign destination from a given foreignServer in a resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name from where the foreign server will be deleted
      `foreignServerName` - the name of the foreign server from which to delete
      `foreignDestinationName` - the name of the foreign destination
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteForeignServer(javax.naming.Context, java.lang.String, java.lang.String)`, `JMSModuleHelper.deleteForeignConnectionFactory(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createForeignConnectionFactory

      public static void createForeignConnectionFactory(Context ctx,
                                                        String resourceName,
                                                        String foreignServerName,
                                                        String foreignConnectionFactoryName,
                                                        String localJNDIName,
                                                        String remoteJNDIName,
                                                        String username,
                                                        String password)
                                                 throws JMSException

    Creates a foreign JMS connection factgory in a given foreign server of a JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `foreignServerName` - name of the JMS foreign server
      `foreignConnectionFactoryName` - name of the JMS foreign connection factgory to create
      `localJNDIName` - local JNDI name of name foreign connection factgory
      `remoteJNDIName` - remote JNDI name of the foreign connection factgory
      `username` - user name to create initial context
      `password` - password to create initial context
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createForeignConnectionFactory

      public static void createForeignConnectionFactory(weblogic.management.configuration.DomainMBean domain,
                                                        String resourceName,
                                                        String foreignServerName,
                                                        String foreignConnectionFactoryName,
                                                        String localJNDIName,
                                                        String remoteJNDIName,
                                                        String username,
                                                        String password)
                                                 throws JMSException

    Creates a foreign JMS connection factgory in a given foreign server of a JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `foreignServerName` - name of the JMS foreign server
      `foreignConnectionFactoryName` - name of the JMS foreign connection factgory to create
      `localJNDIName` - local JNDI name of name foreign connection factgory
      `remoteJNDIName` - remote JNDI name of the foreign connection factgory
      `username` - user name to create initial context
      `password` - password to create initial context
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createForeignConnectionFactory

      public static void createForeignConnectionFactory(Context ctx,
                                                        String resourceName,
                                                        String foreignServerName,
                                                        String foreignConnectionFactoryName,
                                                        String localJNDIName,
                                                        String remoteJNDIName,
                                                        String username,
                                                        String password,
                                                        JMSNamedEntityModifier modifier)
                                                 throws JMSException

    Creates a foreign JMS connection factgory in a given foreign server of a JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `foreignServerName` - name of the JMS foreign server
      `foreignConnectionFactoryName` - name of the JMS foreign connection factgory to create
      `localJNDIName` - local JNDI name of name foreign connection factgory
      `remoteJNDIName` - remote JNDI name of the foreign connection factgory
      `username` - user name to create initial context
      `password` - password to create initial context
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0

  ### createForeignConnectionFactory

      public static void createForeignConnectionFactory(weblogic.management.configuration.DomainMBean domain,
                                                        String resourceName,
                                                        String foreignServerName,
                                                        String foreignConnectionFactoryName,
                                                        String localJNDIName,
                                                        String remoteJNDIName,
                                                        String username,
                                                        String password,
                                                        JMSNamedEntityModifier modifier)
                                                 throws JMSException

    Creates a foreign JMS connection factgory in a given foreign server of a JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `foreignServerName` - name of the JMS foreign server
      `foreignConnectionFactoryName` - name of the JMS foreign connection factgory to create
      `localJNDIName` - local JNDI name of name foreign connection factgory
      `remoteJNDIName` - remote JNDI name of the foreign connection factgory
      `username` - user name to create initial context
      `password` - password to create initial context
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      weblogic.management.configuration.DomainMBean

  ### deleteForeignConnectionFactory

      public static void deleteForeignConnectionFactory(Context ctx,
                                                        String resourceName,
                                                        String foreignServerName,
                                                        String foreignConnectionFactoryName)
                                                 throws JMSException

    Delete a foreign connection factory from the given foreign server in a resource

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - JMS resource name from where the foreign server will be deleted
      `foreignServerName` - the name of the foreign server from which to delete
      `foreignConnectionFactoryName` - the name of the foreign connection factory
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteForeignServer(javax.naming.Context, java.lang.String, java.lang.String)`, `JMSModuleHelper.deleteForeignDestination(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### deleteForeignConnectionFactory

      public static void deleteForeignConnectionFactory(weblogic.management.configuration.DomainMBean domain,
                                                        String resourceName,
                                                        String foreignServerName,
                                                        String foreignConnectionFactoryName)
                                                 throws JMSException

    Delete a foreign connection factory from the given foreign server in a resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - JMS resource name from where the foreign server will be deleted
      `foreignServerName` - the name of the foreign server from which to delete
      `foreignConnectionFactoryName` - the name of the foreign connection factory
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteForeignServer(javax.naming.Context, java.lang.String, java.lang.String)`, `JMSModuleHelper.deleteForeignDestination(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFImportedDestinations

      public static void createSAFImportedDestinations(Context ctx,
                                                       String resourceName,
                                                       String safImportedDestinationsName,
                                                       String safRemoteContextName,
                                                       String targetName)
                                                throws JMSException

    Creates a SAF imported destination group in a given JMS system resource

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destination group
      `safRemoteContextName` - name of the SAF remote context
      `targetName` - target name
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `JMSModuleHelper.createSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  ### createSAFImportedDestinations

      public static void createSAFImportedDestinations(weblogic.management.configuration.DomainMBean domain,
                                                       String resourceName,
                                                       String safImportedDestinationsName,
                                                       String safRemoteContextName,
                                                       String targetName)
                                                throws JMSException

    Creates a SAF imported destination group in a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destination group
      `safRemoteContextName` - name of the SAF remote context
      `targetName` - target name
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `JMSModuleHelper.createSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFImportedDestinations

      public static void createSAFImportedDestinations(Context ctx,
                                                       String resourceName,
                                                       String safImportedDestinationsName,
                                                       String safRemoteContextName,
                                                       String targetName,
                                                       JMSNamedEntityModifier modifier)
                                                throws JMSException

    Creates a SAF imported destination group in a given JMS system resource

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destination group
      `safRemoteContextName` - name of the SAF remote context
      `targetName` - target name
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `JMSModuleHelper.createSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  ### createSAFImportedDestinations

      public static void createSAFImportedDestinations(weblogic.management.configuration.DomainMBean domain,
                                                       String resourceName,
                                                       String safImportedDestinationsName,
                                                       String safRemoteContextName,
                                                       String targetName,
                                                       JMSNamedEntityModifier modifier)
                                                throws JMSException

    Creates a SAF imported destination group in a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destination group
      `safRemoteContextName` - name of the SAF remote context
      `targetName` - target name
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, `JMSModuleHelper.createSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteSAFImportedDestinations

      public static void deleteSAFImportedDestinations(Context ctx,
                                                       String resourceName,
                                                       String safImportedDestinationsName)
                                                throws JMSException

    Delete a SAF imported destinations and all its SAF queues and SAF topics.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - name of the JMS system resource will be deleted
      `safImportedDestinationsName` - the name of the SAF imported destination to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, `JMSModuleHelper.deleteSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### deleteSAFImportedDestinations

      public static void deleteSAFImportedDestinations(weblogic.management.configuration.DomainMBean domain,
                                                       String resourceName,
                                                       String safImportedDestinationsName)
                                                throws JMSException

    Delete a SAF imported destinations and all its SAF queues and SAF topics.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS system resource will be deleted
      `safImportedDestinationsName` - the name of the SAF imported destination to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, `JMSModuleHelper.deleteSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFRemoteContext

      public static void createSAFRemoteContext(Context ctx,
                                                String resourceName,
                                                String safRemoteContextName)
                                         throws JMSException

    Creates a SAF remote context in a given JMS system resource

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safRemoteContextName` - name of the SAF remote context
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFRemoteContext(javax.naming.Context, java.lang.String, java.lang.String)`

  ### createSAFRemoteContext

      public static void createSAFRemoteContext(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String safRemoteContextName)
                                         throws JMSException

    Creates a SAF remote context in a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safRemoteContextName` - name of the SAF remote context
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFRemoteContext(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFRemoteContext

      public static void createSAFRemoteContext(Context ctx,
                                                String resourceName,
                                                String safRemoteContextName,
                                                JMSNamedEntityModifier modifier)
                                         throws JMSException

    Creates a SAF remote context in a given JMS system resource

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safRemoteContextName` - name of the SAF remote context
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFRemoteContext(javax.naming.Context, java.lang.String, java.lang.String)`

  ### createSAFRemoteContext

      public static void createSAFRemoteContext(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String safRemoteContextName,
                                                JMSNamedEntityModifier modifier)
                                         throws JMSException

    Creates a SAF remote context in a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safRemoteContextName` - name of the SAF remote context
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFRemoteContext(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteSAFRemoteContext

      public static void deleteSAFRemoteContext(Context ctx,
                                                String resourceName,
                                                String safRemoteContextName)
                                         throws JMSException

    Delete a SAF remote context.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - name of the JMS system resource will be deleted
      `safRemoteContextName` - the name of the SAF remote context to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFRemoteContext(javax.naming.Context, java.lang.String, java.lang.String)`

  ### deleteSAFRemoteContext

      public static void deleteSAFRemoteContext(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String safRemoteContextName)
                                         throws JMSException

    Delete a SAF remote context.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS system resource will be deleted
      `safRemoteContextName` - the name of the SAF remote context to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFRemoteContext(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFErrorHandling

      public static void createSAFErrorHandling(Context ctx,
                                                String resourceName,
                                                String safErrorHandlingName)
                                         throws JMSException

    Creates a SAF error handling in a given JMS system resource

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safErrorHandlingName` - name of the SAF error handling
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFErrorHandling(javax.naming.Context, java.lang.String, java.lang.String)`

  ### createSAFErrorHandling

      public static void createSAFErrorHandling(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String safErrorHandlingName)
                                         throws JMSException

    Creates a SAF error handling in a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safErrorHandlingName` - name of the SAF error handling
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFErrorHandling(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFErrorHandling

      public static void createSAFErrorHandling(Context ctx,
                                                String resourceName,
                                                String safErrorHandlingName,
                                                JMSNamedEntityModifier modifier)
                                         throws JMSException

    Creates a SAF error handling in a given JMS system resource

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safErrorHandlingName` - name of the SAF error handling
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFErrorHandling(javax.naming.Context, java.lang.String, java.lang.String)`

  ### createSAFErrorHandling

      public static void createSAFErrorHandling(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String safErrorHandlingName,
                                                JMSNamedEntityModifier modifier)
                                         throws JMSException

    Creates a SAF error handling in a given JMS system resource

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safErrorHandlingName` - name of the SAF error handling
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFErrorHandling(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteSAFErrorHandling

      public static void deleteSAFErrorHandling(Context ctx,
                                                String resourceName,
                                                String safErrorHandlingName)
                                         throws JMSException

    Delete a SAF error handling.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - name of the JMS system resource will be deleted
      `safErrorHandlingName` - the name of the SAF error handling to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFErrorHandling(javax.naming.Context, java.lang.String, java.lang.String)`

  ### deleteSAFErrorHandling

      public static void deleteSAFErrorHandling(weblogic.management.configuration.DomainMBean domain,
                                                String resourceName,
                                                String safErrorHandlingName)
                                         throws JMSException

    Delete a SAF error handling.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS system resource will be deleted
      `safErrorHandlingName` - the name of the SAF error handling to delete
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFErrorHandling(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFQueue

      public static void createSAFQueue(Context ctx,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safQueueName,
                                        String safQueueRemoteJNDIName)
                                 throws JMSException

    Creates a SAF queue in a given SAF imported destinations group of JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destinations group
      `safQueueName` - name of the SAF queue
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  ### createSAFQueue

      public static void createSAFQueue(weblogic.management.configuration.DomainMBean domain,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safQueueName,
                                        String safQueueRemoteJNDIName)
                                 throws JMSException

    Creates a SAF queue in a given SAF imported destinations group of JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destinations group
      `safQueueName` - name of the SAF queue
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFQueue

      public static void createSAFQueue(Context ctx,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safQueueName,
                                        String safQueueRemoteJNDIName,
                                        JMSNamedEntityModifier modifier)
                                 throws JMSException

    Creates a SAF queue in a given SAF imported destinations group of JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destinations group
      `safQueueName` - name of the SAF queue
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  ### createSAFQueue

      public static void createSAFQueue(weblogic.management.configuration.DomainMBean domain,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safQueueName,
                                        String safQueueRemoteJNDIName,
                                        JMSNamedEntityModifier modifier)
                                 throws JMSException

    Creates a SAF queue in a given SAF imported destinations group of JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destinations group
      `safQueueName` - name of the SAF queue
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteSAFQueue

      public static void deleteSAFQueue(Context ctx,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safQueueName)
                                 throws JMSException

    Delete a SAF Queue from a given SAF imported Destinations.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - name of the JMS system resource will be deleted
      `safImportedDestinationsName` - the name of the SAF imported destinations from which to delete the SAFQueue
      `safQueueName` - name of the SAFQueue to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### deleteSAFQueue

      public static void deleteSAFQueue(weblogic.management.configuration.DomainMBean domain,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safQueueName)
                                 throws JMSException

    Delete a SAF Queue from a given SAF imported Destinations.

    Parameters:
      `domain` - current eidt tree domain
      `resourceName` - name of the JMS system resource will be deleted
      `safImportedDestinationsName` - the name of the SAF imported destinations from which to delete the SAFQueue
      `safQueueName` - name of the SAFQueue to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFTopic(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFTopic

      public static void createSAFTopic(Context ctx,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safTopicName,
                                        String safTopicRemoteJNDIName)
                                 throws JMSException

    Creates a SAF topic in a given SAF imported destinations group of JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destinations group
      `safTopicName` - name of the SAF topic
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  ### createSAFTopic

      public static void createSAFTopic(weblogic.management.configuration.DomainMBean domain,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safTopicName,
                                        String safTopicRemoteJNDIName)
                                 throws JMSException

    Creates a SAF topic in a given SAF imported destinations group of JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destinations group
      `safTopicName` - name of the SAF topic
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFTopic

      public static void createSAFTopic(Context ctx,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safTopicName,
                                        String safTopicRemoteJNDIName,
                                        JMSNamedEntityModifier modifier)
                                 throws JMSException

    Creates a SAF topic in a given SAF imported destinations group of JMS system resource module

    Parameters:
      `ctx` - initial context of the admin server
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destinations group
      `safTopicName` - name of the SAF topic
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  ### createSAFTopic

      public static void createSAFTopic(weblogic.management.configuration.DomainMBean domain,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safTopicName,
                                        String safTopicRemoteJNDIName,
                                        JMSNamedEntityModifier modifier)
                                 throws JMSException

    Creates a SAF topic in a given SAF imported destinations group of JMS system resource module

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS System resource
      `safImportedDestinationsName` - name of the SAF imported destinations group
      `safTopicName` - name of the SAF topic
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteSAFTopic

      public static void deleteSAFTopic(Context ctx,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safTopicName)
                                 throws JMSException

    Delete a SAF Topic from a given SAF imported Destinations.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - name of the JMS system resource will be deleted
      `safImportedDestinationsName` - the name of the SAF imported destinations from which to delete the SAFTopic
      `safTopicName` - name of the SAFTopic to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`

  ### deleteSAFTopic

      public static void deleteSAFTopic(weblogic.management.configuration.DomainMBean domain,
                                        String resourceName,
                                        String safImportedDestinationsName,
                                        String safTopicName)
                                 throws JMSException

    Delete a SAF Topic from a given SAF imported Destinations.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS system resource will be deleted
      `safImportedDestinationsName` - the name of the SAF imported destinations from which to delete the SAFTopic
      `safTopicName` - name of the SAFTopic to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFQueue(javax.naming.Context, java.lang.String, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### findAndModifyEntity

      public static void findAndModifyEntity(Context ctx,
                                             String resourceName,
                                             String entityName,
                                             String entityType,
                                             JMSNamedEntityModifier modifier)
                                      throws JMSException

    Helper API to find and modify a JMS Module managed entity from the given JMS system resource.

    Parameters:
      `ctx` - the JNDI context to use to access the admin server
      `resourceName` - name of the JMS system resource to look for the entity
      `entityName` - name of the entity to be found and modified
      `entityType` - represents the Bean type, for example, QueueBean type shall be specified as "Queue"
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`

  ### findAndModifyEntity

      public static void findAndModifyEntity(weblogic.management.configuration.DomainMBean domain,
                                             String resourceName,
                                             String entityName,
                                             String entityType,
                                             JMSNamedEntityModifier modifier)
                                      throws JMSException

    Helper API to find and modify a JMS Module managed entity from the given JMS system resource.

    Parameters:
      `domain` - current edit tree domain
      `resourceName` - name of the JMS system resource to look for the entity
      `entityName` - name of the entity to be found and modified
      `entityType` - represents the Bean type, for example, QueueBean type shall be specified as "Queue"
      `modifier` - implementation of the JMSNamedEntityModifier used to modify the entity's attribute values
    Throws:
      `JMSException`
    See Also:
      weblogic.management.configuration.DomainMBean

  ### createJMSServer

      public static void createJMSServer(Context ctx,
                                         String jmsServerName,
                                         String targetName)
                                  throws JMSException

    Creates a JMSServer in a given WebLogic domain.

    Parameters:
      `ctx` - initial context of the admin server in the domain
      `jmsServerName` - name of the JMSServer to be created
      `targetName` - name of the Targets, where the newly created JMSServer will get deployed
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteJMSServer(javax.naming.Context, java.lang.String)`

  ### createJMSServer

      public static void createJMSServer(weblogic.management.configuration.DomainMBean domain,
                                         String jmsServerName,
                                         String targetName)
                                  throws JMSException

    Creates a JMSServer in a given WebLogic domain.

    Parameters:
      `domain` - current edit tree domain
      `jmsServerName` - name of the JMSServer to be created
      `targetName` - name of the Targets, where the newly created JMSServer will get deployed
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteJMSServer(javax.naming.Context, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteJMSServer

      public static void deleteJMSServer(Context ctx,
                                         String jmsServerName)
                                  throws JMSException

    Delete a JMSServer from the given WebLogic domain.

    Parameters:
      `ctx` - initial context of the admin server in the domain
      `jmsServerName` - name of the JMSServer to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createJMSServer(javax.naming.Context, java.lang.String, java.lang.String)`

  ### deleteJMSServer

      public static void deleteJMSServer(weblogic.management.configuration.DomainMBean domain,
                                         String jmsServerName)
                                  throws JMSException

    Delete a JMSServer from the given WebLogic domain.

    Parameters:
      `domain` - current edit tree domain
      `jmsServerName` - name of the JMSServer to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createJMSServer(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deployJMSServer

      public static void deployJMSServer(Context ctx,
                                         String jmsServerName,
                                         String targetName)
                                  throws JMSException

    Deploy a JMSServer and in turn advertise all the destinations on that JMSServer to the JNDI tree of the target server.

    Parameters:
      `ctx` - JNDI initial context.
      `jmsServerName` - name of the JMS server.
      `targetName` - name of the Target.
    Throws:
      `JMSException` - if a JMS error occurs
    See Also:
      `JMSModuleHelper.undeployJMSServer(javax.naming.Context, java.lang.String)`

  ### deployJMSServer

      public static void deployJMSServer(weblogic.management.configuration.DomainMBean domain,
                                         String jmsServerName,
                                         String targetName)
                                  throws JMSException

    Deploy a JMSServer and in turn advertise all the destinations on that JMSServer to the JNDI tree of the target server.

    Parameters:
      `domain` - current edit tree domain
      `jmsServerName` - name of the JMS server.
      `targetName` - name of the Target.
    Throws:
      `JMSException` - if a JMS error occurs
    See Also:
      `JMSModuleHelper.undeployJMSServer(javax.naming.Context, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### undeployJMSServer

      public static void undeployJMSServer(Context ctx,
                                           String jmsServerName)
                                    throws JMSException

    Undeploy a JMSServer and in turn unadvertises all the destinations on that JMSServer from the JNDI tree of the target server.

    Parameters:
      `ctx` - JNDI initial context.
      `jmsServerName` - name of the JMS server.
    Throws:
      `JMSException` - if a JMS error occurs
    See Also:
      `JMSModuleHelper.deployJMSServer(javax.naming.Context, java.lang.String, java.lang.String)`

  ### undeployJMSServer

      public static void undeployJMSServer(weblogic.management.configuration.DomainMBean domain,
                                           String jmsServerName)
                                    throws JMSException

    Undeploy a JMSServer and in turn unadvertises all the destinations on that JMSServer from the JNDI tree of the target server.

    Parameters:
      `domain` - current edit tree domain
      `jmsServerName` - name of the JMS server.
    Throws:
      `JMSException` - if a JMS error occurs
    See Also:
      `JMSModuleHelper.deployJMSServer(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### createSAFAgent

      public static void createSAFAgent(Context ctx,
                                        String safAgentName,
                                        String targetName)
                                 throws JMSException

    Creates a SAFAgent in a given WebLogic domain.

    Parameters:
      `ctx` - initial context of the admin server in the domain
      `safAgentName` - name of the SAFAgent to be created
      `targetName` - name of the Targets, where the newly created SAFAgent will get deployed
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFAgent(javax.naming.Context, java.lang.String)`

  ### createSAFAgent

      public static void createSAFAgent(weblogic.management.configuration.DomainMBean domain,
                                        String safAgentName,
                                        String targetName)
                                 throws JMSException

    Creates a SAFAgent in a given WebLogic domain.

    Parameters:
      `domain` - current edit tree domain
      `safAgentName` - name of the SAFAgent to be created
      `targetName` - name of the Targets, where the newly created SAFAgent will get deployed
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.deleteSAFAgent(javax.naming.Context, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deleteSAFAgent

      public static void deleteSAFAgent(Context ctx,
                                        String safAgentName)
                                 throws JMSException

    Delete a SAFAgent from the given WebLogic domain.

    Parameters:
      `ctx` - initial context of the admin server in the domain
      `safAgentName` - name of the SAFAgent to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFAgent(javax.naming.Context, java.lang.String, java.lang.String)`

  ### deleteSAFAgent

      public static void deleteSAFAgent(weblogic.management.configuration.DomainMBean domain,
                                        String safAgentName)
                                 throws JMSException

    Delete a SAFAgent from the given WebLogic domain.

    Parameters:
      `domain` - current edit tree domain
      `safAgentName` - name of the SAFAgent to be deleted
    Throws:
      `JMSException`
    Since:
      WebLogic Server 9.0
    See Also:
      `JMSModuleHelper.createSAFAgent(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### deploySAFAgent

      public static void deploySAFAgent(Context ctx,
                                        String safAgentName,
                                        String targetName)
                                 throws JMSException

    Deploy a SAFAgent and in turn advertise all the imported destinations of that SAFAgent to the JNDI tree of the target servers/clusters.

    Parameters:
      `ctx` - JNDI initial context.
      `safAgentName` - name of the SAFAgent .
      `targetName` - name of the Target.
    Throws:
      `JMSException` - if a JMS error occurs
    See Also:
      `JMSModuleHelper.undeploySAFAgent(javax.naming.Context, java.lang.String)`

  ### deploySAFAgent

      public static void deploySAFAgent(weblogic.management.configuration.DomainMBean domain,
                                        String safAgentName,
                                        String targetName)
                                 throws JMSException

    Deploy a SAFAgent and in turn advertise all the imported destinations of that SAFAgent to the JNDI tree of the target servers/clusters.

    Parameters:
      `domain` - currnet edit tree domain
      `safAgentName` - name of the SAFAgent .
      `targetName` - name of the Target.
    Throws:
      `JMSException` - if a JMS error occurs
    See Also:
      `JMSModuleHelper.undeploySAFAgent(javax.naming.Context, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### undeploySAFAgent

      public static void undeploySAFAgent(Context ctx,
                                          String safAgentName)
                                   throws JMSException

    Undeploy a SAFAgent and in turn unadvertises all the destinations on that SAFAgent from the JNDI tree of the target server.

    Parameters:
      `ctx` - JNDI initial context.
      `safAgentName` - name of the SAFAgent.
    Throws:
      `JMSException` - if a JMS error occurs
    See Also:
      `JMSModuleHelper.deploySAFAgent(javax.naming.Context, java.lang.String, java.lang.String)`

  ### undeploySAFAgent

      public static void undeploySAFAgent(weblogic.management.configuration.DomainMBean domain,
                                          String safAgentName)
                                   throws JMSException

    Undeploy a SAFAgent and in turn unadvertises all the destinations on that SAFAgent from the JNDI tree of the target server.

    Parameters:
      `domain` - current edit tree domain
      `safAgentName` - name of the SAFAgent.
    Throws:
      `JMSException` - if a JMS error occurs
    See Also:
      `JMSModuleHelper.deploySAFAgent(javax.naming.Context, java.lang.String, java.lang.String)`, weblogic.management.configuration.DomainMBean

  ### uddMemberName

      public static String uddMemberName(String jmsServerName,
                                         String name)

    Returns the member name of a Uniform Distributed Destination, given the name of the Uniform Distributed Destination and the JMS server upon which the member is deployed or to be deployed.

    Parameters:
      `jmsServerName` - Configured name of a JMS Server
      `name` - Configured name of a Uniform Distributed Destination
    Returns:
      String member name

  ### uddMemberJNDIName

      public static String uddMemberJNDIName(String jmsServerName,
                                             String name)

    Returns the JNDI name of a Uniform Distributed Destination member, given the JNDI name of the Uniform Distributed Destination and the JMS server upon which the member is deployed or to be deployed.

    Parameters:
      `jmsServerName` - Configured name of a JMS Server
      `name` - Configured JNDI name of a Uniform Distributed Destination
    Returns:
      String JNDI name of member

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD